<?php  if ( ! defined('PRIVATE_PATH')) exit('Access is denied !');

$g_O = &get_instance();
$lang = $g_O->lang;
$lang_key = ($g_O->config->item('lang_key'));

$obj = 'bookings';

//options
$config['options_bar']['index'] =
$config['options_bar']['view'] = array(
	//array('label'=>$lang->translate($obj.'_add'),'uri'=>'add','ico'=>'btn_add'),
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>true),
);
$config['options_bar']['view_wysiwyg'] = array(
	//array('label'=>$lang->translate($obj.'_add'),'uri'=>'add_wysiwyg','ico'=>'btn_add'),
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view_wysiwyg','ico'=>'btn_list','visible'=>true,'current'=>true),
);

$config['search_bar']['index'] = 
$config['search_bar']['view'] = array(
	'visible'=>true
);
/*
$config['options_bar']['add'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add','ico'=>'btn_add','visible'=>true,'current'=>true)
);*/
$config['options_bar']['edit'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_edit'),'uri'=>'','ico'=>'btn_edit','visible'=>true,'current'=>true,'class'=>'current current_f4')
);
//end options

$config['quick_actions'] = array(
	array('id'=>'enable','label'=>$lang->translate('mark_as_booked'),'href'=>'book_multiple'),
	array('id'=>'disable','label'=>$lang->translate('mark_as_canceled'),'href'=>'cancel_multiple'),
	array('id'=>'delete','label'=>$lang->translate('delete'),'href'=>'delete_multiple')
);
$config['quick_actions_wysiwyg'] = array(
	array('id'=>'enable','label'=>$lang->translate('mark_as_booked'),'href'=>'book_multiple_wysiwyg'),
	array('id'=>'disable','label'=>$lang->translate('mark_as_canceled'),'href'=>'cancel_multiple_wysiwyg'),
	array('id'=>'delete','label'=>$lang->translate('delete'),'href'=>'delete_multiple_wysiwyg')
);

$config['list_header_fields'] = array(
	'booking_id'=>array( 'label'=>'#','width'=>5),
	'listing_id'=>array( 'label'=>$lang->translate('listing'),'width'=>''),
	'booking_status'=>array('label'=>$lang->translate('status'),'width'=>5),
	'admin_status'=>array('label'=>$lang->translate('payment_status'),'width'=>5),
	'start_date'=>array('label'=>$lang->translate('arrival'),'width'=>10),
	'end_date'=>array('label'=>$lang->translate('departure'),'width'=>10),
	'name'=>array('label'=>$lang->translate('name'),'width'=>'')
);
if($g_O->session->userdata('role')!='admin')
	unset($config['list_header_fields']['name']);

$config['db_fields'] = array();
$config['pagination'] = array( 'base_url'=>'','per_page' =>20,'uri_segment' =>6,'total_rows' =>0);
$config['search_fields'] = array(
	'id'=>array(
		'db_field'=>'booking_id',
		'is_default'=>true
	),
	'listing_id'=>array(
		'db_field'=>'listing_id'
	),
	'name'=>array(
		'db_field'=>'name',
		'operator'=>'like'
	)
); 

$config['orderby'] = 'booking_id desc';

$config['form_fields'] = array(
	'start_date'=>array('label'=>$lang->translate('start_date'),'value'=>'','rules'=>'required'),
	'end_date'=>array('label'=>$lang->translate('end_date'),'value'=>'','rules'=>'required|date_greater_than[start_date]'),
	'number_adults'=>array('label'=>$lang->translate('number_adults'),'rules'=>'trim|required','options'=>array(),'value'=>1),
	'number_children'=>array('label'=>$lang->translate('number_children'),'rules'=>'trim|numeric','options'=>array(),'value'=>0),
	'number_infants'=>array('label'=>$lang->translate('number_infants'),'rules'=>'','options'=>array(),'value'=>0),
	//price fields
	'rental_price'=>array('label'=>$g_O->lang->translate('rental_price'),'value'=>'','rules'=>'trim|numeric'),
	'extra_persons_price'=>array('label'=>$g_O->lang->translate('extra_persons_price'),'value'=>'','rules'=>'trim|numeric'),
	'total_addons'=>array('label'=>$g_O->lang->translate('addons_price'),'value'=>'','rules'=>'trim|numeric'),
	'total_discount'=>array('label'=>$g_O->lang->translate('discount'),'value'=>'','rules'=>'trim|numeric'),
	'subtotal'=>array('label'=>$g_O->lang->translate('subtotal'),'value'=>'','rules'=>'trim|numeric'),
	'booking_fee'=>array('label'=>$g_O->lang->translate('booking_fee'),'value'=>'','rules'=>'trim|numeric'),
	'deposit'=>array('label'=>$g_O->lang->translate('deposit'),'value'=>'','rules'=>'trim|numeric'),
	'total'=>array('label'=>$g_O->lang->translate('total'),'value'=>'','rules'=>'trim|numeric'),
	'check_in_price'=>array('label'=>$g_O->lang->translate('check_in_price'),'value'=>'','rules'=>'trim|numeric'),
	
	'name'=>array(
		'label'=>$lang->translate('name'),
		'rules'=>'trim|required',
		'value'=>'',
		'xss'=>true
	),
	'phone'=>array(
		'label'=>$lang->translate('phone'),
		'rules'=>'trim|required',
		'value'=>'',
		'xss'=>true
	),
	'country'=>array(
		'label'=>$lang->translate('country'),
		'rules'=>'trim',
		'value'=>'',
		'xss'=>true,
		'options'=>''
	),
	'location'=>array(
		'label'=>$lang->translate('location'),
		'rules'=>'trim',
		'value'=>'',
		'xss'=>true
	),
	'address'=>array(
		'label'=>$lang->translate('address'),
		'rules'=>'trim',
		'value'=>'',
		'xss'=>true
	),
	'zip'=>array(
		'label'=>$lang->translate('zip_code'),
		'rules'=>'trim',
		'value'=>'',
		'xss'=>true
	),
	'company_name'=>array(
		'label'=>$lang->translate('company_name'),
		'rules'=>'trim',
		'value'=>'',
		'xss'=>true
	),
	'email'=>array('label'=>$lang->translate('email'),'value'=>'','rules'=>'trim|required|valid_email','xss'=>true),
	'message'=>array('label'=>$lang->translate('message'),'value'=>'','rules'=>'trim','xss'=>true),
	
	'addons_optional'=>array('options'=>array(),'value'=>'','values'=>array()),
	'addons_mandatory'=>array('options'=>array(),'value'=>'','values'=>array()),
	'addons_info'=>array('options'=>array(),'value'=>'','values'=>array()),
	
	//0=inactive / 1=booked / 2=pending
	'booking_status'=>array('label'=>$lang->translate('booking_status'),'value'=>1,'rules'=>''),
	'admin_status'=>array('label'=>$lang->translate('payment_status'),'value'=>1,'rules'=>'')
);
for ($i=0;$i<=30;$i++) $config['form_fields']['number_adults']['options'][$i] = $i;
for ($i=0;$i<=30;$i++) $config['form_fields']['number_children']['options'][$i] = $i;
for ($i=0;$i<=30;$i++) $config['form_fields']['number_infants']['options'][$i] = $i;

//if($g_O->session->userdata('role')=='admin')
{
	$config['form_data_fields'] = array(
		'booking_status','admin_status',
		'start_date','end_date','number_adults','number_children','number_infants',
		'name','country','location','phone','address','zip','email','message','company_name',
		'rental_price','total_addons','total_discount','extra_persons_price','booking_fee','total','subtotal','deposit'
	);
}
/*
else
{
	$config['form_data_fields'] = array(
		'booking_status'
	);
}*/