<?php  if ( ! defined('PRIVATE_PATH')) exit('Access is denied !');

$g_O = &get_instance();
$lang = $g_O->lang;
$lang_key = ($g_O->config->item('lang_key'));

$obj = 'guides';

//options bar
$config['options_bar']['index'] =
$config['options_bar']['view'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>true),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add','ico'=>'btn_add','visible'=>true,'current'=>false),
);

$config['search_bar']['index'] = 
$config['search_bar']['view'] = array(
	'visible'=>true
);

$config['options_bar']['add'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add','ico'=>'btn_add','visible'=>true,'current'=>true)
);
$config['options_bar']['edit'] = array();
$config['options_bar']['photos'] = array();
//end options bar

$config['quick_actions'] = array(
	array('id'=>'active','label'=>$lang->translate('active'),'href'=>'active_multiple'),
	array('id'=>'featured','label'=>$lang->translate('featured'),'href'=>'featured_multiple'),
	array('id'=>'unfeatured','label'=>$lang->translate('unfeatured'),'href'=>'unfeatured_multiple'),
	array('id'=>'top_destination','label'=>$lang->translate('top_destination'),'href'=>'top_destination_multiple'),
	array('id'=>'remove_top_destination','label'=>$lang->translate('remove_top_destination'),'href'=>'remove_top_destination_multiple'),
	array('id'=>'inactive','label'=>$lang->translate('inactive'),'href'=>'inactive_multiple'),
	array('id'=>'delete','label'=>$lang->translate('delete'),'href'=>'delete_multiple')
);

$config['list_header_fields'] = array(
	'guide_id'=>array( 'label'=>'#','width'=>5),
	'guide_thumb'=>array('label'=>$lang->translate('photo'),'width'=>5,'order'=>false),
	'guide_status'=>array('label'=>$lang->translate('status'),'width'=>8),
	'featured'=>array('label'=>$lang->translate('featured'),'width'=>8),
	'top_destination'=>array('label'=>$lang->translate('top_destination'),'width'=>8),
	'title_'.$lang_key=>array('label'=>$lang->translate('title'),'width'=>''),
	'ctime'=>array('label'=>$lang->translate('ctime'),'width'=>8),
	'mtime'=>array('label'=>$lang->translate('mtime'),'width'=>8),
);

$config['db_fields'] = array();
$config['pagination'] = array( 'base_url'=>'','per_page' =>20,'uri_segment' =>6,'total_rows' =>0);
$config['search_fields'] = array(
	'id'=>array(
		'db_field'=>'guide_id'
	),
	'title'=>array(
		'db_field'=>'title_'.$lang_key,
		'operator'=>'like',
		'is_default'=>true
	),
);

$config['orderby'] = 'guide_id desc';

$config['form_fields'] = array(

	'title_1'=>array('label'=>$lang->translate('listing_title'),'value'=>'','rules'=>'trim|required|strip_slashes','xss'=>true),
	'title_2'=>array('label'=>$lang->translate('listing_title'),'value'=>'','rules'=>'strip_slashes','xss'=>true),
	'title_3'=>array('label'=>$lang->translate('listing_title'),'value'=>'','rules'=>'strip_slashes','xss'=>true),
	'title_4'=>array('label'=>$lang->translate('listing_title'),'value'=>'','rules'=>'strip_slashes','xss'=>true),
	'title_5'=>array('label'=>$lang->translate('listing_title'),'value'=>'','rules'=>'strip_slashes','xss'=>true),
	
	'guide_status'=>array(
		'label'=>$lang->translate('guide_status'),
		'value'=>'inactive',
		'rules'=>'',
		'options'=>array(
			'inactive'=>$lang->translate('guide_status_inactive'),
			'active'=>$lang->translate('guide_status_active')
		)
	),
	
	//location
	'location_id'=>array('label'=>$lang->translate('location'),'value'=>'','rules'=>''),
	'location_str'=>array('label'=>'','value'=>'','rules'=>''),

	'description_1'=>array('label'=>$lang->translate('listing_description'),'value'=>'','rules'=>'trim'),
	'description_2'=>array('label'=>$lang->translate('listing_description'),'value'=>'','rules'=>'trim'),
	'description_3'=>array('label'=>$lang->translate('listing_description'),'value'=>'','rules'=>'trim'),
	'description_4'=>array('label'=>$lang->translate('listing_description'),'value'=>'','rules'=>'trim'),
	'description_5'=>array('label'=>$lang->translate('listing_description'),'value'=>'','rules'=>'trim'),
	
	'featured'=>array('label'=>$lang->translate('featured'),'value'=>'','rules'=>'','xss'=>true),
	'top_destination'=>array('label'=>$lang->translate('top_destination'),'value'=>'','rules'=>'','xss'=>true)
	
);

//completes the location fields
for($i=1;$i<=$g_O->config->item('number_levels','location_levels');$i++)
$config['form_fields']['location_'.$i] = array(
	'label'=>$lang->translate('choose_'.$g_O->config->item('location_'.$i)),'value'=>'','rules'=>''
);
//used in form
$config['form_fields']['location_id']['params'] = array(
	'number_levels'=>$g_O->config->item('number_levels','location_levels'),
	'levels'=>$g_O->config->item('levels','location_levels')
);


$config['form_data_fields'] = array(
	
	'title_1','title_2','title_3','title_4','title_5',
	'guide_status',
	'location_id','location_str',
	'description_1','description_2','description_3','description_4','description_5',
	'featured','top_destination'
);

$config['guide_menu'] = array(
	'guides_list'=>array(
		'label'=>$lang->translate('guides_list'),
		'extra_info'=>'',
		'href'=>'#',
		'current'=>0,
		'visible'=>1,
		'ico'=>'btn_list'
	),
	'overview'=>array(
		'label'=>$g_O->lang->translate('overview'),
		'extra_info'=>'',
		'href'=>'#',
		'active'=>0,
		'current'=>0,
		'visible'=>1,
		'ico'=>'btn_edit'
	),
	'photos'=>array(
		'label'=>$g_O->lang->translate('photos'),
		'extra_info'=>'',
		'href'=>'#',
		'active'=>0,
		'current'=>0,
		'visible'=>1,
		'ico'=>'btn_photo'
	),
	'preview'=>array(
		'label'=>$g_O->lang->translate('preview'),
		'extra_info'=>'',
		'href'=>'#',
		'active'=>0,
		'current'=>0,
		'visible'=>0,
		'other'=>'id="previewguide"',
		'ico'=>'btn_preview'
	)
);


#photos
$config['photos_list_header_fields'] = array(
	'guide_photo_id'=>array( 'label'=>'#','width'=>5),
	'active'=>array('label'=>$lang->translate('active'),'width'=>5),
	'hierarchy'=>array('label'=>$lang->translate('hierarchy'),'width'=>10),
	'guide_photo_file'=>array('label'=>$lang->translate('photo'),'width'=>'','order'=>false),
	'title_'.$lang_key=>array('label'=>$lang->translate('title'),'width'=>'','editable'=>true,'editable_section'=>'guide_photos','order'=>false)
);
$config['photos_form_fields'] = array(
	'ctime'=>array('label'=>$lang->translate('ctime'),'value'=>date('Y-m-d H:i:s'),'rules'=>''),
	'guide_id'=>array('label'=>$lang->translate('guide_id'),'value'=>'','rules'=>'required|numeric'),
	'title_1'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'trim','xss'=>true),
	'title_2'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'trim','xss'=>true),
	'title_3'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'trim','xss'=>true),
	'title_4'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'trim','xss'=>true),
	'title_5'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'trim','xss'=>true),
	'description_1'=>array('label'=>$lang->translate('description'),'value'=>'','rules'=>'trim','xss'=>true),
	'description_2'=>array('label'=>$lang->translate('description'),'value'=>'','rules'=>'trim','xss'=>true),
	'description_3'=>array('label'=>$lang->translate('description'),'value'=>'','rules'=>'trim','xss'=>true),
	'description_4'=>array('label'=>$lang->translate('description'),'value'=>'','rules'=>'trim','xss'=>true),
	'description_5'=>array('label'=>$lang->translate('description'),'value'=>'','rules'=>'trim','xss'=>true),
	
	'guide_photo_file'=>array('label'=>'','value'=>'','rules'=>'','values'=>array()),
	'guide_photo_file_upload'=>array('label'=>'','value'=>'','rules'=>''),
	
	'active'=>array('label'=>$lang->translate('active'),'value'=>1,'rules'=>''),
	//uploadify
	'token'=>array(),
	
	'x'=>array('label'=>'','value'=>'','rules'=>''),
	'y'=>array('label'=>'','value'=>'','rules'=>''),
	
	'width'=>array('label'=>$lang->translate('width'),'value'=>'400','rules'=>'numeric'),
	'height'=>array('label'=>$lang->translate('height'),'value'=>'400','rules'=>'numeric'),
	
	'img_options'=>array('label'=>'','value'=>'','rules'=>''),
	'ctime'=>array('label'=>'','value'=>'','rules'=>''),
	
	'o_width'=>array('value'=>''),
	'o_height'=>array('value'=>'')
);
$config['photos_db_fields'] = array();
$config['photos_quick_actions'] = array(
	array('id'=>'enable','label'=>$lang->translate('enable'),'href'=>'enable_multiple'),
	array('id'=>'disable','label'=>$lang->translate('disable'),'href'=>'disable_multiple'),
	array('id'=>'delete','label'=>$lang->translate('delete'),'href'=>'delete_multiple')
);


$config['photos_form_data_fields'] = array(
	'guide_id','ctime',
	'title_1','title_2','title_3','title_4','title_5',
	'description_1','description_2','description_3','description_4','description_5',
	'active','guide_photo_file','width','height',
	'delete_file'
);

$config['photos_upload'] = array(
	'upload_path'=>PUBLIC_PATH.'upload/guide_photos/',
	'upload_subdir'=>upload_subdir_p(),
	'allowed_types'=>'jpg|jpeg|png|gif',
	'max_size'=>$g_O->config->item('upload_max_filesize'), //KB
	'max_width'=>2000,//$g_O->config->item('upload_max_px'),
	'max_height'=>2000//$g_O->config->item('upload_max_px')
);
$config['photos_form_fields']['guide_photo_file_upload']['options'] = array(
	'max_size'=>$config['photos_upload']['max_size']!=0?$config['photos_upload']['max_size']:'&#8734;',
	'max_size_wxh'=>($config['photos_upload']['max_width'].' &times; '.$config['photos_upload']['max_height'].' px'),
	'allowed_types'=>implode(', ',explode('|',$config['photos_upload']['allowed_types'])),
	'max_size_uploadify'=>(1024*$config['photos_upload']['max_size']),
	'allowed_types_uploadify'=>"*.jpg;*.jpeg;*.png;*.gif",
	'i_width'=>1024,
	'i_height'=>768
);

$config['crop'] = array(
	'source_image'=>PUBLIC_PATH.'upload/guide_photos/%s',
	'new_image'=>PUBLIC_PATH.'upload/guide_photos/%s',
	'x_axis'=>'',
	'y_axis'=>'',
	'width'=>'',
	'height'=>'',
	'quality'=>100
);

$config['rotate'] = array(
	'source_image'=>PUBLIC_PATH.'upload/guide_photos/%s',
	'rotation_angle'=>90,
	'quality'=>100
);