<?php  if ( ! defined('PRIVATE_PATH')) exit('Access is denied !');

$g_O = &get_instance();
$lang = $g_O->lang;
$lang_key = ($g_O->config->item('lang_key'));

$obj = 'locations';

/*Options bar*/
$config['options_bar']['index'] =
$config['options_bar']['view'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>true),
	array('label'=>$lang->translate($obj.'_tree'),'uri'=>'#','ico'=>'btn_tree','id'=>'show_locations_tree','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add','ico'=>'btn_add','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_import'),'uri'=>'import','ico'=>'btn_import','visible'=>true,'current'=>false),
	array('label'=>$lang->translate('rebuild_tree'),'uri'=>'rebuild_tree','ico'=>'btn_redo', 'id'=>'btn_rebuild_tree','visible'=>true,'current'=>false)
);
$config['search_bar']['index'] = 
$config['search_bar']['view'] = array(
	'visible'=>true
);

$config['options_bar']['add'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add','ico'=>'btn_add','visible'=>true,'current'=>true)
);
$config['options_bar']['edit'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_edit'),'uri'=>'','ico'=>'btn_edit','visible'=>true,'current'=>true)
);
$config['options_bar']['import'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_import'),'uri'=>'','ico'=>'btn_import','visible'=>true,'current'=>true)
);

//end options bar

$config['quick_actions'] = array(
	array('id'=>'enable','label'=>$lang->translate('enable'),'href'=>'enable_multiple'),
	array('id'=>'disable','label'=>$lang->translate('disable'),'href'=>'disable_multiple'),
	array('id'=>'delete','label'=>$lang->translate('delete'),'href'=>'delete_multiple')
);

$config['list_header_fields'] = array(
	'location_id'=>array( 'label'=>'#','width'=>5),
	'active'=>array('label'=>$lang->translate('active'),'width'=>5),
	//'location_parent_id'=>array('label'=>$lang->translate('location_parent'),'width'=>''),
	'parent_breadcrumbs'=>array('label'=>$lang->translate('location_parent'),'width'=>'','order'=>false),
	'title_'.$lang_key=>array('label'=>$lang->translate('title'),'width'=>''),
	'slug_'.$lang_key=>array('label'=>$lang->translate('slug'),'width'=>'')
);
$config['db_fields'] = array();
$config['pagination'] = array( 'base_url'=>'','per_page' =>15,'uri_segment' =>6,'total_rows' =>0);
$config['search_fields'] = array(
	'id'=>array(
		'db_field'=>'location_id',
	),
	'location'=>array(
		'db_field'=>'title_'.$lang_key,
		'operator'=>'match',
		'is_default'=>true
	)
);


$config['orderby'] = 'location_id desc';
$config['form_fields'] = array(
	'title_1'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'trim|required','xss'=>true),
	'title_2'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'','xss'=>true),
	'title_3'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'','xss'=>true),
	'title_4'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'','xss'=>true),
	'title_5'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'','xss'=>true),
	'active'=>array('label'=>$lang->translate('active'),'value'=>1,'rules'=>''),
	'location_parent_id'=>array('label'=>$lang->translate('location_parent_id'),'value'=>-1,'rules'=>'required'),
	'lat'=>array('label'=>$lang->translate('lat'),'value'=>0.000,'rules'=>'numeric'),
	'lng'=>array('label'=>$lang->translate('lng'),'value'=>0.000,'rules'=>'numeric'),
	'zip_code'=>array('label'=>$lang->translate('zip_code'),'value'=>'','rules'=>''),
	'slug_1'=>array('label'=>$lang->translate('slug'),'value'=>'','rules'=>'trim|prep_slug|valid_slug','xss'=>true),
	'slug_2'=>array('label'=>$lang->translate('slug'),'value'=>'','rules'=>'trim|prep_slug|valid_slug','xss'=>true),
	'slug_3'=>array('label'=>$lang->translate('slug'),'value'=>'','rules'=>'trim|prep_slug|valid_slug','xss'=>true),
	'slug_4'=>array('label'=>$lang->translate('slug'),'value'=>'','rules'=>'trim|prep_slug|valid_slug','xss'=>true),
	'slug_5'=>array('label'=>$lang->translate('slug'),'value'=>'','rules'=>'trim|prep_slug|valid_slug','xss'=>true)
);

$config['import_form_fields'] = array(
	'country_zip'=>array('label'=>$lang->translate('country_zip'),'value'=>'','rules'=>'required')
);

$config['form_data_fields'] = array(
	'active',
	'title_1','title_2','title_3','title_4','title_5',
	'location_parent_id','lat','lng','zip_code',
	'slug_1','slug_2','slug_3','slug_4','slug_5'
);

$config['import_form_data_fields'] = array('country_zip');

$config['countries'] = array(
	array('name' => 'Afghanistan','zip'=>''),
	array('name' => 'Albania','zip'=>''),
	array('name' => 'Algeria','zip'=>''),
	array('name' => 'American Samoa','zip'=>''),
	array('name' => 'Andorrs','zip'=>''),
	array('name' => 'Angola','zip'=>''),
	array('name' => 'Anquilla','zip'=>''),
	array('name' => 'American Samoa','zip'=>''),
	array('name' => 'Antarctica','zip'=>''),
	array('name' => 'Antigua and Barbuda','zip'=>''),
	array('name' => 'Argentina','zip'=>''),
	array('name' => 'Armenia','zip'=>''),
	array('name' => 'Aruba','zip'=>''),
	array('name' => 'Ashmore and Cartier Islands','zip'=>''),
	array('name' => 'Australia','zip'=>''),
	array('name' => 'Austria','zip'=>''),
	array('name' => 'Azerbaijan','zip'=>''),
	array('name' => 'Bahamas','zip'=>''),
	array('name' => 'Bahrain','zip'=>''),
	array('name' => 'Baker Island','zip'=>''),
	array('name' => 'Bangladesh','zip'=>''),
	array('name' => 'Barbados','zip'=>''),
	array('name' => 'Bassas da India','zip'=>''),
	array('name' => 'Belarus','zip'=>''),
	array('name' => 'Belgium','zip'=>''),
	array('name' => 'Belize','zip'=>''),
	array('name' => 'Benin','zip'=>''),
	array('name' => 'Barmuda','zip'=>''),
	array('name' => 'Bhutan','zip'=>''),
	array('name' => 'Bolivia','zip'=>''),
	array('name' => 'Bosnia and Herzegovina','zip'=>''),
	array('name' => 'Botswana','zip'=>''),
	array('name' => 'Bouvet Island','zip'=>''),
	array('name' => 'Brasil','zip'=>''),
	array('name' => 'British Indian Ocean Territory','zip'=>''),
	array('name' => 'British Virgin Islands','zip'=>''),
	array('name' => 'Brunei','zip'=>''),
	array('name' => 'Bulgaria','zip'=>''),
	array('name' => 'Burkina Faso','zip'=>''),
	array('name' => 'Burma','zip'=>''),
	array('name' => 'Burundi','zip'=>''),
	array('name' => 'Cambodia','zip'=>''),
	array('name' => 'Cameroon','zip'=>''),
	array('name' => 'Canada','zip'=>''),
	array('name' => 'Cape Verde','zip'=>''),
	array('name' => 'Cayman Iaslands','zip'=>''),
	array('name' => 'Central African Republic','zip'=>''),
	array('name' => 'Chad','zip'=>''),
	array('name' => 'Chile','zip'=>''),
	array('name' => 'China','zip'=>''),
	array('name' => 'Christmas Island','zip'=>''),
	array('name' => 'Clipperton Island','zip'=>''),
	array('name' => 'Cocos (Keeling) Islands','zip'=>''),
	array('name' => 'Colombia','zip'=>''),
	array('name' => 'Comoros','zip'=>''),
	array('name' => 'Congo','zip'=>''),
	array('name' => 'Cook Islands','zip'=>''),
	array('name' => 'Coral Sea Islands','zip'=>''),
	array('name' => 'Costa Rica','zip'=>''),
	array('name' => 'Cote d\'Ivoire','zip'=>''),
	array('name' => 'Croatia','zip'=>''),
	array('name' => 'Cuba','zip'=>''),
	array('name' => 'Cyprus','zip'=>''),
	array('name' => 'Czech Republic','zip'=>''),
	array('name' => 'Denmark','zip'=>''),
	array('name' => 'Djibouti','zip'=>''),
	array('name' => 'Dominica','zip'=>''),
	array('name' => 'Dominican Republic','zip'=>''),
	array('name' => 'East Timor','zip'=>''),
	array('name' => 'Ecuador','zip'=>''),
	array('name' => 'Egypt','zip'=>''),
	array('name' => 'El Salvador','zip'=>''),
	array('name' => 'Equatorial Guinea','zip'=>''),
	array('name' => 'Eritrea','zip'=>''),
	array('name' => 'Estonia','zip'=>''),
	array('name' => 'Ethiopia','zip'=>''),
	array('name' => 'Europa Island','zip'=>''),
	array('name' => 'Falkland Islands (Islas Malvinas)','zip'=>''),
	array('name' => 'Faroe Islands','zip'=>''),
	array('name' => 'Fiji','zip'=>''),
	array('name' => 'Finland','zip'=>''),
	array('name' => 'France','zip'=>''),
	array('name' => 'French Guiana','zip'=>''),
	array('name' => 'French Polynesia','zip'=>''),
	array('name' => 'French Southern and Antarctic Lands','zip'=>''),
	array('name' => 'Gabon','zip'=>''),
	array('name' => 'Gambia','zip'=>''),
	array('name' => 'Gaza Strip','zip'=>''),
	array('name' => 'Georgia','zip'=>''),
	array('name' => 'Germany','zip'=>''),
	array('name' => 'Ghana','zip'=>''),
	array('name' => 'Gibraltar','zip'=>''),
	array('name' => 'Glorioso Islands','zip'=>''),
	array('name' => 'Greece','zip'=>''),
	array('name' => 'Greenland','zip'=>''),
	array('name' => 'Grenada','zip'=>''),
	array('name' => 'Guadeloupe','zip'=>''),
	array('name' => 'Guam','zip'=>''),
	array('name' => 'Guatemala','zip'=>''),
	array('name' => 'Guernsey','zip'=>''),
	array('name' => 'Guinea','zip'=>''),
	array('name' => 'Guinea-Bissau','zip'=>''),
	array('name' => 'Guyana','zip'=>''),
	array('name' => 'Haiti','zip'=>''),
	array('name' => 'Heard Island and McDonald Islands','zip'=>''),
	array('name' => 'Holy See (Vatican)','zip'=>''),
	array('name' => 'Honduras','zip'=>''),
	array('name' => 'Hong Kong','zip'=>''),
	array('name' => 'Howland Island','zip'=>''),
	array('name' => 'Hungary','zip'=>''),
	array('name' => 'Iceland','zip'=>''),
	array('name' => 'India','zip'=>''),
	array('name' => 'Indonesia','zip'=>''),
	array('name' => 'Iran','zip'=>''),
	array('name' => 'Iraq','zip'=>''),
	array('name' => 'ireland','zip'=>''),
	array('name' => 'Isle of Man','zip'=>''),
	array('name' => 'Israel','zip'=>''),
	array('name' => 'Italy','zip'=>''),
	array('name' => 'Jamaica','zip'=>''),
	array('name' => 'Jan Mayen','zip'=>''),
	array('name' => 'Japan','zip'=>''),
	array('name' => 'Jarvis Island','zip'=>''),
	array('name' => 'Jersey','zip'=>''),
	array('name' => 'Johnston Atoll','zip'=>''),
	array('name' => 'Jordan','zip'=>''),
	array('name' => 'Juan de Nova Island','zip'=>''),
	array('name' => 'Kazakhstan','zip'=>''),
	array('name' => 'Kenya','zip'=>''),
	array('name' => 'Kingman Reef','zip'=>''),
	array('name' => 'Kiribati','zip'=>''),
	array('name' => 'Korea North','zip'=>''),
	array('name' => 'Korea South','zip'=>''),
	array('name' => 'Kuwait','zip'=>''),
	array('name' => 'Kyrgyzstan','zip'=>''),
	array('name' => 'Laos','zip'=>''),
	array('name' => 'Latvia','zip'=>''),
	array('name' => 'Lebanon','zip'=>''),
	array('name' => 'Lesotho','zip'=>''),
	array('name' => 'Liberia','zip'=>''),
	array('name' => 'Libya','zip'=>''),
	array('name' => 'Liechtenstein','zip'=>''),
	array('name' => 'Lithuania','zip'=>''),
	array('name' => 'Luxembourg','zip'=>''),
	array('name' => 'Macau','zip'=>''),
	array('name' => 'Macedonia','zip'=>''),
	array('name' => 'Madagascar','zip'=>''),
	array('name' => 'Malawi','zip'=>''),
	array('name' => 'Malaysia','zip'=>''),
	array('name' => 'Maldives','zip'=>''),
	array('name' => 'Mali','zip'=>''),
	array('name' => 'Malta','zip'=>''),
	array('name' => 'Marshall Islands','zip'=>''),
	array('name' => 'Martinique','zip'=>''),
	array('name' => 'Mauritania','zip'=>''),
	array('name' => 'Mauritius','zip'=>''),
	array('name' => 'Mayotte','zip'=>''),
	array('name' => 'Mexico','zip'=>''),
	array('name' => 'Micronesia','zip'=>''),
	array('name' => 'Midway Islands','zip'=>''),
	array('name' => 'Moldova','zip'=>''),
	array('name' => 'Monaco','zip'=>''),
	array('name' => 'Mongolia','zip'=>''),
	array('name' => 'Montenegro','zip'=>''),
	array('name' => 'Montserrat','zip'=>''),
	array('name' => 'Morocco','zip'=>''),
	array('name' => 'Mozambique','zip'=>''),
	array('name' => 'Namibia','zip'=>''),
	array('name' => 'Nauru','zip'=>''),
	array('name' => 'Nevass Island','zip'=>''),
	array('name' => 'Nepal','zip'=>''),
	array('name' => 'Netherlands','zip'=>''),
	array('name' => 'Netherlands Antilles','zip'=>''),
	array('name' => 'New Caledonia','zip'=>''),
	array('name' => 'New Zealand','zip'=>''),
	array('name' => 'Nicaragua','zip'=>''),
	array('name' => 'Niger','zip'=>''),
	array('name' => 'Nigeria','zip'=>''),
	array('name' => 'Niue','zip'=>''),
	array('name' => 'No Man\s Land','zip'=>''),
	array('name' => 'Norfolk Island','zip'=>''),
	array('name' => 'Northern Mariana Islands','zip'=>''),
	array('name' => 'Norway','zip'=>''),
	array('name' => 'Oman','zip'=>''),
	array('name' => 'Pakistan','zip'=>''),
	array('name' => 'Palau','zip'=>''),
	array('name' => 'Palestine','zip'=>''),
	array('name' => 'Palmyra Atoll','zip'=>''),
	array('name' => 'Panama','zip'=>''),
	array('name' => 'Papua New Guinea','zip'=>''),
	array('name' => 'Paracel Islands','zip'=>''),
	array('name' => 'Paraguay','zip'=>''),
	array('name' => 'Peru','zip'=>''),
	array('name' => 'Philippines','zip'=>''),
	array('name' => 'Pitcairn Islands','zip'=>''),
	array('name' => 'Poland','zip'=>''),
	array('name' => 'Portugal','zip'=>''),
	array('name' => 'Puerto Rico','zip'=>''),
	array('name' => 'Qatar','zip'=>''),
	array('name' => 'Reunion','zip'=>''),
	array('name' => 'Romania','zip'=>''),
	array('name' => 'Russia','zip'=>''),
	array('name' => 'Rwanda','zip'=>''),
	array('name' => 'Saint Helena','zip'=>''),
	array('name' => 'Saint Kitts and Nevis','zip'=>''),
	array('name' => 'Saint Lucia','zip'=>''),
	array('name' => 'Saint Pierre and Miquelon','zip'=>''),
	array('name' => 'Saint Vincent and the Grenadines','zip'=>''),
	array('name' => 'Samoa','zip'=>''),
	array('name' => 'San Marino','zip'=>''),
	array('name' => 'Sao Tome and Principe','zip'=>''),
	array('name' => 'Saudi Arabia','zip'=>''),
	array('name' => 'Senegal','zip'=>''),
	array('name' => 'Serbia','zip'=>''),
	array('name' => 'Seychelles','zip'=>''),
	array('name' => 'Sierra Leone','zip'=>''),
	array('name' => 'Singapore','zip'=>''),
	array('name' => 'Slovakia','zip'=>''),
	array('name' => 'Slovenia','zip'=>''),
	array('name' => 'Solomon Islands','zip'=>''),
	array('name' => 'Somalia','zip'=>''),
	array('name' => 'South Africa','zip'=>''),
	array('name' => 'South Georgia and the South Sandwich Islands','zip'=>''),
	array('name' => 'Spain','zip'=>''),
	array('name' => 'Spratly Islands','zip'=>''),
	array('name' => 'Sri Lanka','zip'=>''),
	array('name' => 'Sudan','zip'=>''),
	array('name' => 'Suriname','zip'=>''),
	array('name' => 'Svalbard','zip'=>''),
	array('name' => 'Swaziland','zip'=>''),
	array('name' => 'Sweden','zip'=>''),
	array('name' => 'Switzerland','zip'=>''),
	array('name' => 'Syria','zip'=>''),
	array('name' => 'Taiwan','zip'=>''),
	array('name' => 'Tajikistan','zip'=>''),
	array('name' => 'Tanzania','zip'=>''),
	array('name' => 'Thailand','zip'=>''),
	array('name' => 'Togo','zip'=>''),
	array('name' => 'Tokelau','zip'=>''),
	array('name' => 'Tonga','zip'=>''),
	array('name' => 'Trinidad and Tobago','zip'=>''),
	array('name' => 'Tromelin Island','zip'=>''),
	array('name' => 'Tunisia','zip'=>''),
	array('name' => 'Turkey','zip'=>''),
	array('name' => 'Turkmenistan','zip'=>''),
	array('name' => 'Turks and Caicos Islands','zip'=>''),
	array('name' => 'Tuvalu','zip'=>''),
	array('name' => 'Uganda','zip'=>''),
	array('name' => 'Ukraine','zip'=>''),
	array('name' => 'United Arab Emirates','zip'=>''),
	array('name' => 'United Kingdom','zip'=>''),
	array('name' => 'United States','zip'=>''),
	array('name' => 'Uruguay','zip'=>''),
	array('name' => 'Uzbekistan','zip'=>''),
	array('name' => 'Vanuatu','zip'=>''),
	array('name' => 'Venezuela','zip'=>''),
	array('name' => 'Vietnam','zip'=>''),
	array('name' => 'Virgin Islands','zip'=>''),
	array('name' => 'Wake Island','zip'=>''),
	array('name' => 'Wallis and Furtuna','zip'=>''),
	array('name' => 'West Bank','zip'=>''),
	array('name' => 'Western Sahara','zip'=>''),
	array('name' => 'Yemen','zip'=>''),
	array('name' => 'Zambia','zip'=>''),
	array('name' => 'Zimbabwe','zip'=>'')
);

$config['countries'][] = array(
	'name'=>'Blank',
	'zip'=>'blank.zip'
);
$config['countries'][] = array(
	'name'=>'World',
	'zip'=>'world.zip'
);
$config['countries'][] = array(
	'name'=>'Asia',
	'zip'=>'asia.zip'
);
$config['countries'][] = array(
	'name'=>'Europe',
	'zip'=>'europe.zip'
); 
$config['countries'][] = array(
	'name'=>'North America',
	'zip'=>'north_america.zip'
);
$config['countries'][] = array(
	'name'=>'South America',
	'zip'=>'south_america.zip'
);
$config['countries'][] = array(
	'name'=>'Oceania',
	'zip'=>'oceania.zip'
);
$config['countries'][] = array(
	'name'=>'Africa',
	'zip'=>'africa.zip'
);
$config['countries'][] = array(
	'name'=>'IP 2 Country',
	'zip'=>'ip2country.zip'
);


foreach ($config['countries'] as $k=>$country)
{
	if(!empty($country['zip']))
	{
		$config['import_form_fields']['country_zip']['options'][$k] = $country;
	}
}

