<?php  if ( ! defined('PRIVATE_PATH')) exit('Access is denied !');

$g_O = &get_instance();
$lang = $g_O->lang;
$lang_key = ($g_O->config->item('lang_key'));

$obj = 'reviews';

/* Options bar */
$config['options_bar']['index'] =
$config['options_bar']['view'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>true),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add','ico'=>'btn_add','visible'=>true,'current'=>false)
);
$config['search_bar']['index'] = 
$config['search_bar']['view'] = array(
	'visible'=>true
);

$config['options_bar']['add'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add','ico'=>'btn_add','visible'=>true,'current'=>true)
);
$config['options_bar']['edit'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_edit'),'uri'=>'','ico'=>'btn_edit','visible'=>true,'current'=>true)
);
//end options bar


$config['quick_actions'] = array(
	array('id'=>'enable','label'=>$lang->translate('enable'),'href'=>'enable_multiple'),
	array('id'=>'disable','label'=>$lang->translate('disable'),'href'=>'disable_multiple'),
	array('id'=>'delete','label'=>$lang->translate('delete'),'href'=>'delete_multiple')
);

$config['list_header_fields'] = array(
	'review_id'=>array( 'label'=>'#','width'=>5),
	'active'=>array('label'=>$lang->translate('active'),'width'=>5),
	'rating_stars'=>array('label'=>$lang->translate('rating_stars'),'width'=>7),
	'votes_up'=>array('label'=>$lang->translate('votes_up'),'width'=>5),
	'votes_down'=>array('label'=>$lang->translate('votes_down'),'width'=>5),
	'title'=>array('label'=>$lang->translate('title'),'width'=>''),
	'listing_id'=>array('label'=>$lang->translate('listing'),'width'=>''),
);
if($g_O->session->userdata('role')=='admin')
{
	$config['list_header_fields']['user_id'] =  array('label'=>$lang->translate('user'),'width'=>'');
}


$config['db_fields'] = array();
$config['pagination'] = array( 'base_url'=>'','per_page' =>20,'uri_segment' =>6,'total_rows' =>0);

if($g_O->session->userdata('role')=='admin')
{
	$config['search_fields'] = array(
		'id'=>array(
			'db_field'=>'review_id',
			'operator'=>'='
		),
		'listing'=>array(
			'operator'=>'join',
			'join_table'=>'listings',
			'table'=>'reviews',
			'join_field'=>'listing_id',
			'join_query'=>"(##join_table##.title_".$lang_key." LIKE '%##q##%')"
		),
		'user_id'=>array(
			'operator'=>'='
		),
		'listing_id'=>array(
			'operator'=>'='
		),
		'active'=>array(
			'operator'=>'='
		),
		'title'=>array('operator'=>'like'),
		'body'=>array(
			'label'=>$lang->translate('review_body'),
			'operator'=>'like'
		)
	);
}
else
{
	$config['search_fields'] = array(
	'id'=>array(
		'db_field'=>'review_id',
		'operator'=>'='
	),
	'active'=>array(
		'operator'=>'='
	),
	'title'=>array('operator'=>'like')
	);
}

$config['orderby'] = 'review_id desc';
$config['form_fields'] = array(
	//'user_id'=>array('label'=>$lang->translate('user'),'value'=>'','rules'=>'trim|required'),
	'listing_id'=>array('label'=>$lang->translate('listing_id'),'value'=>'','rules'=>'trim|required'), 
	'listing_id_autocomplete'=>array('value'=>''), 
	
	'reviewer_id'=>array('label'=>$lang->translate('reviewer'),'value'=>'','rules'=>'trim|required'),
	'reviewer_id_autocomplete'=>array('value'=>''),
	'arrival_date'=>array('label'=>$lang->translate('arrival'),'value'=>'','rules'=>'trim|required','xss'=>true),
	'title'=>array('label'=>$lang->translate('review_title'),'value'=>'','rules'=>'trim|required','xss'=>true),
	'body'=>array('label'=>$lang->translate('review_body'),'value'=>'','rules'=>'trim|required','xss'=>true),
	'body_reply'=>array('label'=>$lang->translate('reply'),'value'=>'','rules'=>'trim','xss'=>true),
	'rating_stars'=>array('label'=>$lang->translate('rating_stars'),'value'=>'','rules'=>''),
	//'name'=>array('label'=>$lang->translate('name'),'value'=>'','rules'=>'trim|required','xss'=>true),
	//'email'=>array('label'=>$lang->translate('email'),'value'=>'','rules'=>'trim|required|valid_email','xss'=>true),
	//'location'=>array('label'=>$lang->translate('location'),'value'=>'','rules'=>'','xss'=>true),
	//'age'=>array('label'=>$lang->translate('age'),'value'=>'','rules'=>'trim|numeric','xss'=>true),
	//'display_name'=>array('label'=>$lang->translate('display_name'),'value'=>'','rules'=>'','xss'=>true),
	'active'=>array('label'=>$lang->translate('active'),'value'=>1,'rules'=>'')
);

$config['form_data_fields'] = array(
	'body_reply',
	'active'	
);

if($g_O->session->userdata('role')=='admin')
{
	$config['form_data_fields'] = array(
		'listing_id',
		'rating_stars','reviewer_id',
		'title','body','body_reply','arrival_date',
		'active',
		//'name','email','age','location'
	);
}

