<?php
if(!isset($config['base_url']))
{
	require 'base_url.php';
}

//Note: some settings can be overwritten by the admin area setting settable from /admin area/tools & settings

#A
#====================================================================================

/*--------Analytics---------*/
$config['use_internal_analytics'] = false;//bad performance
$config['use_google_analytics'] = true;//good performance


$config['ga_client_id'] = '';
$config['ga_email'] = '';
$config['ga_private_key_file'] = '';
$config['ga_account_id'] = '';

/*----------Alerts-----------*/
$config['alert_package_days'] = 3;// send alert when package expires in 3 days

#B
#====================================================================================
$config['booking_fee'] = '10%';
$config['booking_confirmation'] = 1;
$config['booking_confirmation_email'] = '';
$config['booking_cancel_days'] = 14;


#C
#====================================================================================

/*----------Currency----------*/
$config['currency_code'] = 'eur';
$config['automatic_currency_rate_update'] = true;

/*----------Captcha-----------*/
$config['captcha'] = array(
	'img_url'=>'{base_url}public/upload/captcha/',
	'img_path'=>PUBLIC_PATH.'upload/captcha/',
	'reload_ico'=>array(
		'file'=>'{base_url}public/images/icons/ico_refresh.png',
		'width'=>16,
		'height'=>16
	),
	'img_width'=>'125',
	'img_height'=>'50',
	'fonts_path'=>PUBLIC_PATH.'fonts',
	'fonts'=> array(
        //'Antykwa'  => array('spacing' => -3, 'min_size' => 27, 'max_size' => 30, 'font' => 'AntykwaBold.ttf'),
        //'Candice'  => array('spacing' =>-1.5,'min_size' => 28, 'max_size' => 31, 'font' => 'Candice.ttf'),
        'DingDong' => array('spacing' => -2, 'min_size' => 24, 'max_size' => 30, 'font' => 'Ding-DongDaddyO.ttf'),
        //'Duality'  => array('spacing' => -2, 'min_size' => 30, 'max_size' => 38, 'font' => 'Duality.ttf'),
        'Heineken' => array('spacing' => -2, 'min_size' => 24, 'max_size' => 34, 'font' => 'Heineken.ttf'),
        'Jura'     => array('spacing' => -2, 'min_size' => 28, 'max_size' => 32, 'font' => 'Jura.ttf'),
        //'StayPuft' => array('spacing' =>-1.5,'min_size' => 28, 'max_size' => 32, 'font' => 'StayPuft.ttf'),
        //'Times'    => array('spacing' => -2, 'min_size' => 28, 'max_size' => 34, 'font' => 'TimesNewRomanBold.ttf'),
        'VeraSans' => array('spacing' => -1, 'min_size' => 20, 'max_size' => 28, 'font' => 'VeraSansBold.ttf'),
    ),
	'expiration'=>180,//180,
	'case_sensitive'=>false,
	'chars'=>'ABCDEFGHJLMNPQRSTUVWYZ',
	'length'=>4,//max number of chars
	'background_color'=>'#fff',
	'colors'=>array('#333','#666','#444'),
	'line_width'=>2,
	'wave'=>array(
		'Y_period'    => 12,
		'Y_amplitude' => 14,
		'X_period'    => 11,
		'X_amplitude' => 5
	),
	'max_letter_rotation'=>8,
	'scale'=>2, //1,2,3
	'quality'=>9 //0-9 compressed
);

/*---------Calendars-------------*/
$config['availability_calendar_months'] = 12;
$config['availability_calendar_units_months'] = 1;

//units calendar calculations
$config['monthday_height'] = 27;
$config['monthday_title_height'] = 44;
$config['monthday_width'] = 50;


/*---------Cache-----------------*/
$config['cache_settings'] = true;//mo_settings
$config['cache_settings_time'] = 60;

$config['cache_languages'] = true;//mo_languages
$config['cache_languages_time'] = 60;

$config['cache_currencies'] = true;//mo_currencies
$config['cache_currencies_time'] = 60;

$config['cache_cms_content']  = true;//mo_links
$config['cache_cms_content_time'] = 60;//seconds

$config['cache_adverts'] = true;//mo_adverts
$config['cache_adverts_time'] = 60;


$config['cache_menu'] = array(
	'main_menu'=>true
);
$config['cache_menu_time'] = array(
	'main_menu'=>60
);

$config['cache_latest_news'] = true;//mo_news
$config['cache_latest_news_time'] = 60;

$config['cache_refine_search_counts'] = true;//bo_search
$config['cache_refine_search_counts_time'] = 60;

foreach (array(
	'cache_settings','cache_languages','cache_currencies','cache_cms_content','cache_adverts','cache_latest_news','cache_refine_search_counts'
) as $cache_setting) $config[$cache_setting] = false;
foreach ($config['cache_menu'] as $k=>$cache_setting) $config['cache_menu'][$k] = false;

#D
#====================================================================================
//date & time
$config['start_day'] = 'sunday';//calendar start day


#E
#====================================================================================
#F
#====================================================================================
#G
#====================================================================================
//guides
$config['show_admin_guide_thumb'] = true;
$config['no_guides_same_location'] = 4;//listing sidebar
$config['guide_url_format'] = '%title%/%route_suffix%.%guide_id%';
#H
#====================================================================================
#I
#====================================================================================

/*----------------- Images ----------------------*/

//compress
$config['optipng'] = array(
	'active'	=> false,
	'path'		=>'c:\\optipng\\',
	'chdir'		=>  false //windows local testings only
);
$config['jpegtran'] = array(
	'active'	=> false,
	'path'		=>'c:\\jpegtran\\',
	'chdir'		=> false,
	'command'	=> 'jpegtrans -optimize -progressive -copy none '
);

//flags
$config['flag_width'] = 16;

//gravatar
$config['gravatar'] = array( 'admin_welcome'=>30 );

//qr code
$config['use_qr_code'] = true;
$config['qr_code'] = array(
	'qr_matrix_point_size'=>4,
	'qr_error_correction_level'=>'L',//L,M,Q,H
	'qr_path'=>PUBLIC_PATH.'upload/qrcodes/',
	'qr_base_url'=>trim($config['base_url'],'/').'/'.'public/upload/qrcodes/'
);

//other 
$config['autodetect_upload_max_filesize'] = true;
$config['upload_max_filesize'] = 0;//unlimited;
if($config['autodetect_upload_max_filesize'])
{
	$upload_max_filesize=@ini_get("upload_max_filesize");
	if (preg_match("/([0-9]+)K/i",$upload_max_filesize,$tempregs)) $upload_max_filesize=$tempregs[1];
	if (preg_match("/([0-9]+)M/i",$upload_max_filesize,$tempregs)) $upload_max_filesize=$tempregs[1]*1024;
	if (preg_match("/([0-9]+)G/i",$upload_max_filesize,$tempregs)) $upload_max_filesize=$tempregs[1]*1024*1024*1024;
	if(!empty($upload_max_filesize)) $config['upload_max_filesize'] = $upload_max_filesize;
}


$config['use_subdir'] = true;
$config['subdir_separator'] = '-';
$config['photos_view'] = 'thumbs';
$config['show_admin_listing_thumb'] = true;
$config['photo_quality'] = 85;
$config['image_interlace'] = true;

$config['uploadify'] = 0;// 0 - default uploader / 1 - flash uploader
$config['use_uploadify']= 1;
$config['uploadify_sim_upload'] = 3;//max sim upload 

$config['big_w'] = 800;
$config['big_h'] = 800;

$config['medium_w'] = 350;
$config['medium_h'] = 250;

$config['thumb_w'] = 80;
$config['thumb_h'] = 60;

$config['watermark_hor'] = 'center';//left,center,right
$config['watermark_vrt'] = 'middle';//top,middle,bottom

$config['pdf_img_source'] = 'u';//or nothing

$config['rgallery_thumb_width'] = 84;//used for width calculation


/*--------------- Import -----------------------*/
$config['import'] = array(
	"highlight_limit" => 1000
);

#J
#====================================================================================
#K
#====================================================================================
#L
#====================================================================================

/*--------------------Listings----------------*/

$config['location_breadcrumbs_separator'] = ' &gt; ';
$config['use_stars'] = true;
$config['listing_main_type'] = array( 'sale', 'rent');
$config['min_completeness'] = 40; // %
$config['listing_settings_fields'] = array('show_address','show_availability_calendar','show_walkscore','show_rates','allow_bookings');//do not remove!!
$config['listing_initial_settings'] = array(
	'show_address'=>1,
	'show_availability_calendar'=>1,
	'show_walkscore'=>0,
	'show_rates'=>1,
	'allow_bookings'=>1
);
$config['multilevel_listing_type'] = true;
$config['search_price'] = 'nightly_rate';
$config['refine_search_links_show_count'] = false; //performance issues for big number of listings and big amount of refine links
$config['fuzzy_offset'] = 2;//add 2 to lat / lng 
$config['fuzzy_latlng_decimals'] = 2;

//options
$config['suitability_options'] = array(//should match admin area config suitability options
	'pets','smoke','children','longterm','eldery','wheelchair'
);
$config['heating_system_options'] = array(//should match admin area config heating system options
	'gas','electric','radiant','baseboard','forced_air','heat_pump','stove','wall','other'
);
$config['energy'] =  array(
	'a'=>'A <span>( 92 - 100 )</span>',
	'b'=>'B <span>( 81 - 91 )</span>',
	'c'=>'C <span>( 69 - 80 )</span>',
	'd'=>'D <span>( 55 - 68 )</span>',
	'e'=>'E <span>( 39 - 54 )</span>',
	'f'=>'F <span>( 21 - 38 )</span>',
	'g'=>'G <span>( 1 - 20 )</span>',
);
$config['construction_type_options'] = array(//should match admin area config
	'brick_masonry','large_area_shuttering','climbing_shuttering','panel','trimmer_joists','metal_construction','wooden','monolith'
);
$config['parking_type_options'] = array(//should match admin area config
	'carport','on_street','off_street','garage_attached','garage_detached'
);
$config['board_options'] = array('bed_and_breakfast','half_board','full_board','all_inclusive','self_catered','catered');//should match admin area config

//quick search / refine search show/hide fields - overwritten by database settings
$config['quick_search_fields'] = array(
	'lid'=>true,//listing id
	'type'=>false,
	'location'=>true,
	'location_autocomplete'=>true,
	'availability'=>true,
	'flexible_availability'=>false,
	'price'=>true,
	//'live_square'=>false,
	//'land_square'=>false,
	'total_square'=>false,
	'sleeps'=>true,
	//'rooms'=>false,
	'bedrooms'=>true,
	'bathrooms'=>false,
	'stars'=>false,
	'special_offer'=>false,
	'with_photos'=>false,
	'with_videos'=>false
);

$config['refine_search_fields'] = array(
	'lid'=>true,//listing id
	'type'=>true,
	'location'=>true,
	'location_autocomplete'=>true,
	'availability'=>true,
	'flexible_availability'=>true,
	'price'=>true,
	//'live_square'=>false,
	//'land_square'=>false,
	'total_square'=>false,
	'sleeps'=>true,
	//'rooms'=>false,
	'bedrooms'=>true,
	'bathrooms'=>true,
	'stars'=>true,
	'special_offer'=>true,
	'with_photos'=>true,
	'with_videos'=>true
);
//$config['quick_search_fields'] = $config['refine_search_fields'];

$config['discount_fields'] = array(
	'discount_children', 
	//'discount_early_booking','discount_early_booking_days',//not used anymore
	'discounts_early_booking',
	/*'discount_wday_1_day','discount_wday_1',
	'discount_wday_2_day','discount_wday_2',
	'discount_wday_3_day','discount_wday_3',
	'discount_wday_4_day','discount_wday_4',
	'discount_wday_5_day','discount_wday_5',*/
	
	//'discount_long_stay','discount_long_stay_days', //not used anymore
	'discounts_long_stay'
);

$config['offer_max'] = 8;//weeks

$config['no_listings_same_member'] = 0;
$config['no_nearby_listings'] = 4;
$config['no_latest_listings'] = 4;
$config['no_featured_listings'] = 4;

$config['nearby_listings_precision'] = 13;
$config['weekend_days'] = array(0,5,6);//sunday,friday,saturday

$config['listing_url_format'] = '%title%/%route_suffix%.%listing_id%';

/*------------------- Languages --------------*/
$config['locale_lang_redirect'] = false;
$config['force_locale_lang'] = '';//'de';//for tests

#M
#====================================================================================

/*------------ Maps ---------------------*/
$config['map'] = array(
	'center'=>array(
		'lat'=>34.885931,
		'lng'=>9.84375
	),
	'maptype'=>'ROADMAP',//SATELLITE,HYBRID,TERRAIN
	'streetViewControl'=>true,
	'zoom'=>2
);
$config['static_map'] =array(
	'marker_conf'=>'size:mid'
);
$config['map_cluster_icons'] = array(
	1 => array( 'icon'=>'m1.png','width'=>53,'height'=>52 ),
	2 => array( 'icon'=>'m2.png','width'=>53,'height'=>52 ),
	3 => array( 'icon'=>'m3.png','width'=>66,'height'=>65 ),
	4 => array( 'icon'=>'m4.png','width'=>78,'height'=>77 ),
	5 => array( 'icon'=>'m5.png','width'=>90,'height'=>89 )
);
$config['distance_cluster_min_zoom'] = 3;
$config['distance_cluster_max_zoom'] = 10;//no more clustering;
$config['distance_cluster'] = 30; //distance in px


/*--------------Mails ---------------------*/
//$config['admin_email'] = "support@realestatescript.eu";
$config['mail_q'] = array(
	'start'=>0,
	'quantity'=>50
);
//spam filter
$config['spam_filter'] = array(
	'active'=>true,
	//lexer
	'old_get_html' => false,
	'get_html'     => true,
	//degenerator
	'multibyte'=>true,
	'storage'=>'mysqli'
);
$config['spam_classify'] = array(
	'inquiries'=>array('name','from_email')//name,from_email,subject,message
);

#N
#====================================================================================
//numbers
$config['number_dec_separator'] = '.';//decimals separator
$config['number_thousands_separator'] = ',';//thousands separator

/*news*/
$config['news_url_format'] = '%title%/%route_suffix%.%news_id%';

#O
#====================================================================================
#P
#====================================================================================

/*------------------- Pyment -------------------*/
$config['payment_systems'] = array(
	'paypal','authorizenet','worldpay','twoco','wire_transfer'
);
$config['payment'] = array(//if all empty - db load
	'paypal'=>array( 'business'=>'','test_mode'=>0, 'api_username'=>'','api_password'=>'','api_signature'=>'','application_id'=>'','device_id'=>'','developer_email'=>'' ),
	'authorizenet'=>array( 'x_login'=>'', 'transaction_key'=>'', 'test_mode'=>0 ),
	'worldpay'=>array( 'instId'=>'','test_mode'=>0 ),
	'twoco'=>array( 'sid'=>'', 'secret_word'=>'','test_mode'=>0, 'default_currency'=>'' )
); 
$config['pagination_opts'] = array(
	'first_link'   		=> '&laquo;',
	'next_link'			=> '&rsaquo;',
	'prev_link'			=> '&lsaquo;',
	'last_link'			=> '&raquo;',
	'full_tag_open'		=> '<ul class="pagination">',
	'full_tag_close'	=> '</ul>',
	'first_tag_open'	=> '<li>',
	'first_tag_close'	=> '</li>',
	'last_tag_open'		=> '<li>',
	'last_tag_close'	=> '</li>',
	'cur_tag_open'		=> '<li class="active"><a href="#"><strong>',
	'cur_tag_close'		=> '</a></strong></li>',
	'next_tag_open'		=> '<li>',
	'next_tag_close'	=> '</li>',
	'prev_tag_open'		=> '<li>',
	'prev_tag_close'	=> '</li>',
	'num_tag_open'		=> '<li>',
	'num_tag_close'		=> '</li>',
	'num_links'			=> 2
);

#Q
#====================================================================================
#R
#====================================================================================
#S
#====================================================================================

/* ------------------- Sms ---------------------*/
$config['sms_unicode'] = 0;
//mobilant
$lang['mobilant'] = array(
	'debug'=>1,
	'concat'=>0,//concat, tells if messages > 160 chars should be splitted or concatenated
	'senddate'=>1, //senddate if you wish to time the sms
	'ref'=>0 //reference of the sms, if you wish to add one
);


/*----------------- Square metrics ---------------*/
$config['square_metric'] = 'sqm';
$config['square_metrics'] = array(
	'sqm'=>array('label'=>'sqm'),
	'sqf'=>array('label'=>'sqf'),
	'acres'=>array('label'=>'acres'),
	'hectares'=>array('label'=>'hectares'),
	'square_yards'=>array('label'=>'square_yards')
);
$config['square_metrics_rates'] = array(
	'sqm'=>1,//10.7639104
	'sqf'=>0.09290304, //sqf to sqm //1
	'square_yards'=>0.83612736,
	'acres'=>4046.8,
	'hectares'=>10000
);

#T
#====================================================================================
$config['vat'] = 19;//%
$config['use_taxes'] = array('vat');

#U
#====================================================================================

/* ---------- Users ---------------------------*/
$config['user_search_autocomplete_result_format'] = "#%user_id%. %username%/%name% (%email%)|%user_id%\n";//autocomplete - don't remove |%user_id%\n !!



#V
#====================================================================================

/* ---------- Videos ---------------------------*/
$config['ffmpeg'] = array(
	'active'	=> false,
	'path'		=>'c:\\ffmpeg\\bin\\',//'/usr/bin/',
	'chdir'		=>  false, //windows local testings only
	'watermark_path'=>'/usr/lib64/vhook/watermark.so',
	'watermark_img'=>PUBLIC_PATH.'images/watermark.png',
	'ar'		=>	22050,//audio sampling rate
	'ab'		=>	32,//audio bit rate kbit/s
	'f'			=>	'mp4',//output format
	's'			=>	'320x240', //output dimension
	'other'		=>  '-qscale 5' //other settings
);
$config['rvideos_thumb_width'] = 84;//used for width calculation

#X
#====================================================================================
#Y
#====================================================================================
#Z
#====================================================================================




#Other
#====================================================================================
$config['tree_branch_symbol'] = '&#9492;&nbsp;&nbsp;';
$config['tree_branch_space'] = '&zwnj;&nbsp;&nbsp;';
$config['remember_pagination_admin'] = true;
$config['co_content_titles'] = array('title','username','filter','alias','subject');//admin co content title suffixes
$config['seo_separator'] = ' | ';
$config['rss_limit'] = 20;
$config['microdata'] = true;//http://support.google.com/webmasters/bin/answer.py?hl=en&answer=176035
$config['order_by_rand_str'] = ' 37*(UNIX_TIMESTAMP() ^ %id%) & 0xffff ';//' RAND() ';
$config['mail_smtp_crypto'] = '';
$config['csrf_arr'] = array(
	'admin','member','guest'
);