<?php  if ( ! defined('PRIVATE_PATH')) exit('Access is denied !');

$g_O = &get_instance();
$lang = $g_O->lang;
$lang_key = ($g_O->config->item('lang_key'));

/* SEARCH
***********************************************************************************/

//squares - convert the slider max values
$square_metric = $g_O->config->item('square_metric');
$square_metrics_rates = $g_O->config->item('square_metrics_rates');
$slider_square_metric_rate = $square_metrics_rates['sqm'];//daca default e schimbat trebe schimbat si ici
$square_metric_rate = $square_metrics_rates[$square_metric];
			
			
$max_live_square = round((((500 * $slider_square_metric_rate)/$square_metric_rate)/10))*10;
if((int)$max_live_square<=1) $max_live_square = 500;


$max_land_square = round((((2000 * $slider_square_metric_rate)/$square_metric_rate)/10))*10;
if((int)$max_land_square<=1) $max_land_square = 2000;

$max_total_square = round((((5000 * $slider_square_metric_rate)/$square_metric_rate)/10))*10;
if((int)$max_total_square<=1) $max_total_square = 5000;


//end squares
$config['googlemap_max_listings'] = 100000; 
$config['refine_max_options'] = 5;//for performance reasons use

//order level 0
$config['search_order_fields'] = array(
	'ctime',
	'price','views','featured','no_rooms','no_bedrooms','no_bathrooms',
	//'land_square','live_square',
	'total_square',
	//'year_of_build'
);

$config['order_by'] = array(
	'order_by' => 'featured',
	'order_dir'=> 'desc'
);

//default order - level 1
$config['order_by_str'] = 'highlight desc,views asc';

$search_price_field = $g_O->config->item('search_price');
$search_price_field = !empty($search_price_field)?$search_price_field:'price';


$config['search_pagination'] = array_merge(array( 'base_url'=>'','per_page' =>10,'uri_segment' =>5,'total_rows' =>0),$g_O->config->item('pagination_opts'));

//search form fields
$config['search_form_fields'] = array(
	//location
	'location'=>array('label'=>'','rules'=>'','value'=>'','db_field'=>'location_str','operator'=>'','xss'=>true,'options'=>array()	),
	'location_path'=>array('label'=>'','rules'=>'','value'=>'','db_field'=>'location_str','operator'=>'','xss'=>true,'options'=>array(),'for_search'=>''),

	'for'=>array('label'=>'','rules'=>'','db_field'=>'listing_main_type','operator'=>'=','xss'=>true,'value'=>''),
	'type'=>array('label'=>$lang->translate('listing_type'),'rules'=>'','value'=>'','db_field'=>'listing_type_id','operator'=>'=','options'=>array(),'xss'=>true),
	
	//availability
	'start_date'=>array('label'=>$lang->translate('start_date'),'rules'=>'','value'=>'','db_field'=>'','operator'=>'','options'=>array(),'xss'=>true),
	'end_date'=>array('label'=>$lang->translate('end_date'),'rules'=>'','value'=>'','db_field'=>'','operator'=>'','options'=>array(),'xss'=>true),
	'flexible'=>array('label'=>$lang->translate('flexible_dates'),'rules'=>'','value'=>'','db_field'=>'','operator'=>'','options'=>array(),'xss'=>true),
	
	//price
	'price_min'=>array('label'=>'','value'=>'','rules'=>'','db_field'=>'min_'.$search_price_field,'operator'=>'>=','other'=>array('min_sale'=>0,'min_rent'=>0),'xss'=>true,'clean'=>'string_to_double'),
	'price_max'=>array('label'=>'','value'=>'','rules'=>'','db_field'=>'max_'.$search_price_field,'operator'=>'<=','other'=>array('max_sale'=>1000000,'max_rent'=>2000),'xss'=>true,'clean'=>'string_to_double'),
	'price_step_sale'=>array('label'=>'','value'=>1000,'rules'=>'','','operator'=>'','xss'=>true),
	'price_step_rent'=>array('label'=>'','value'=>10,'rules'=>'','','operator'=>'','xss'=>true),
	
	//squares
	'live_square_min'=>array('label'=>'','value'=>'','rules'=>'','db_field'=>'live_square','operator'=>'>=','xss'=>true,'other'=>array('min'=>0),'xss'=>true,'clean'=>'doubleval'),
	'live_square_max'=>array('label'=>'','value'=>'','rules'=>'','db_field'=>'live_square','operator'=>'<=','xss'=>true,'other'=>array('max'=>$max_live_square),'xss'=>true,'clean'=>'doubleval'),
	'land_square_min'=>array('label'=>'','value'=>'','rules'=>'','db_field'=>'land_square','operator'=>'>=','xss'=>true,'other'=>array('min'=>0),'xss'=>true,'clean'=>'doubleval'),
	'land_square_max'=>array('label'=>'','value'=>'','rules'=>'','db_field'=>'land_square','operator'=>'<=','xss'=>true,'other'=>array('max'=>$max_land_square),'xss'=>true,'clean'=>'doubleval'),
	'total_square_min'=>array('label'=>'','value'=>'','rules'=>'','db_field'=>'total_square','operator'=>'>=','xss'=>true,'other'=>array('min'=>0),'xss'=>true,'clean'=>'doubleval'),
	'total_square_max'=>array('label'=>'','value'=>'','rules'=>'','db_field'=>'total_square','operator'=>'<=','xss'=>true,'other'=>array('max'=>$max_total_square),'xss'=>true,'clean'=>'doubleval'),
	
	//sleeps
	'sleeps_min'=>array('label'=>'','value'=>'','rules'=>'','db_field'=>'max_guests','operator'=>'>=','xss'=>true,'other'=>array('min'=>1),'xss'=>true,'options'=>array()),
	'sleeps_max'=>array('label'=>'','value'=>'','rules'=>'','db_field'=>'max_guests','operator'=>'<=','xss'=>true,'other'=>array('max'=>20),'xss'=>true),
	
	//rooms
	'rooms_min'=>array(
		'label'=>$lang->translate('rooms'),'rules'=>'','value'=>'','db_field'=>'no_rooms','operator'=>'>=','xss'=>true,'clean'=>'intval',
		'options'=>array(1=>'1+',2=>'2+',3=>'3+',4=>'4+',5=>'5+',6=>'6+',7=>'7+',8=>'8+',9=>'9+'),'other'=>array('min'=>0)
	),
	'rooms_max'=>array(
		'label'=>$lang->translate('rooms'),'rules'=>'','value'=>'','db_field'=>'no_rooms','operator'=>'<=','xss'=>true,'clean'=>'intval',
		'options'=>array(),'other'=>array('max'=>10)
	),
	'rooms'=>array(
		'label'=>$lang->translate('rooms'),'rules'=>'','value'=>'','db_field'=>'no_rooms','operator'=>'=','xss'=>true,'clean'=>'intval',
		'options'=>array(1=>1,2=>2,3=>3,4=>4,5=>5,6=>6,7=>7,8=>8,9=>'8+')
	),
	
	//bedrooms
	'bedrooms_min'=>array(
		'label'=>$lang->translate('bedrooms'),'rules'=>'','value'=>'','db_field'=>'no_bedrooms','operator'=>'>=','xss'=>true,'clean'=>'intval',
		'options'=>array(1=>'1+',2=>'2+',3=>'3+',4=>'4+',5=>'5+',6=>'6+',7=>'7+',8=>'8+',9=>'9+'),
		'other'=>array('min'=>0)
	),
	'bedrooms_max'=>array(
		'label'=>$lang->translate('bedrooms'),'rules'=>'','value'=>'','db_field'=>'no_bedrooms','operator'=>'<=','xss'=>true,'clean'=>'intval',
		'options'=>array(),'other'=>array('max'=>10),
	),
	'bedrooms'=>array(
		'label'=>$lang->translate('bedrooms'),'rules'=>'','value'=>'','db_field'=>'no_bedrooms','operator'=>'=','xss'=>true,'clean'=>'intval',
		'options'=>array(0=>$lang->translate('studio'),1=>1,2=>2,3=>3,4=>4,5=>5,6=>6,7=>7,8=>8,9=>'8+')
	),
	
	//bathrooms
	'bathrooms_min'=>array(
		'label'=>$lang->translate('bathrooms'),'rules'=>'','value'=>'','db_field'=>'no_bathrooms','operator'=>'>=','xss'=>true,'clean'=>'intval',
		'options'=>array(1=>'1+',2=>'2+',3=>'3+',4=>'4+',5=>'5+',6=>'6+',7=>'7+',8=>'8+',9=>'9+'),
		'other'=>array('min'=>0),
		
	),
	'bathrooms_max'=>array(
		'label'=>$lang->translate('bathrooms'),'rules'=>'','value'=>'','db_field'=>'no_bathrooms','operator'=>'<=','xss'=>true,'clean'=>'intval',
		'options'=>array(),'other'=>array('max'=>10)
	),
	'bathrooms'=>array(
		'label'=>$lang->translate('bathrooms'),'rules'=>'','value'=>'','db_field'=>'no_bathrooms','operator'=>'=','xss'=>true,'clean'=>'intval',
		'options'=>array(1=>1,2=>2,3=>3,4=>4,5=>5,6=>6,7=>7,8=>8,9=>'8+'),
	),
	
	//year of build
	'year_of_build_min'=>array(
		'label'=>$lang->translate('year_of_build'),'rules'=>'','value'=>'','db_field'=>'year_of_build','operator'=>'>=','xss'=>true,'clean'=>'string_to_double',
		'options'=>array(),
		'other'=>array('min'=>1970)
	),
	'year_of_build_max'=>array(
		'label'=>$lang->translate('year_of_build'),'rules'=>'','value'=>'','db_field'=>'year_of_build','operator'=>'<=','xss'=>true,'clean'=>'string_to_double',
		'options'=>array(),
		'other'=>array('max'=>date('Y'))
	),
	
	//stars
	'stars_min'=>array('label'=>'','value'=>'','rules'=>'','db_field'=>'stars','operator'=>'>=','xss'=>true,'other'=>array('min'=>1),'xss'=>true,'clean'=>'intval'),
	'stars_max'=>array('label'=>'','value'=>'','rules'=>'','db_field'=>'stars','operator'=>'<=','xss'=>true,'other'=>array('max'=>5),'xss'=>true,'clean'=>'intval'),
	
	//offers
	'offer_min'=>array('label'=>'','value'=>'','rules'=>'','db_field'=>'','operator'=>'<=','xss'=>true,'other'=>array('min'=>0),'xss'=>true),
	'offer_max'=>array('label'=>'','value'=>'','rules'=>'','db_field'=>'','operator'=>'>=','xss'=>true,'other'=>array('max'=>$g_O->config->item('offer_max')),'xss'=>true),

	
	//keywords
	'keywords'=>array('label'=>$g_O->lang->translate('keywords'),'value'=>'','db_field'=>'','options'=>array(),'xss'=>true),
	
	
	//REFINE LINKS
	'holiday_type'=>array(
		'label'=>$lang->translate('holiday_type'),'rules'=>'','value'=>'','db_field'=>'holiday_type','operator'=>'','options'=>array(),'multiselect'=>true,'xss'=>true
	),
	'view_type'=>array(
		'label'=>$lang->translate('view'),'rules'=>'','value'=>'','db_field'=>'view_type','operator'=>'','options'=>array(),'multiselect'=>true,'xss'=>true
	),
	'utility'=>array(
		'label'=>$lang->translate('utility'),'rules'=>'','value'=>'','db_field'=>'utilities','operator'=>'','options'=>array(),'xss'=>true,
		'multiselect'=>true
	),
	'energy'=>array(
		'label'=>$g_O->lang->translate('energy'),'value'=>'','db_field'=>'energy','operator'=>'=','xss'=>true,
		'options'=>$g_O->config->item('energy')
	),
	'orientation'=>array(
		'label'=>$lang->translate('orientation'),'value'=>'','db_field'=>'orientation','operator'=>'=','xss'=>true,
		'options'=>array(
			'n'=>$lang->translate('orientation_n'),
			's'=>$lang->translate('orientation_s'),
			'e'=>$lang->translate('orientation_e'),
			'w'=>$lang->translate('orientation_w'),
			'ne'=>$lang->translate('orientation_ne'),
			'nw'=>$lang->translate('orientation_nw'),
			'se'=>$lang->translate('orientation_se'),
			'sw'=>$lang->translate('orientation_sw')
		),
		'multiselect'=>true
	),
	'facility_g'=>array(
		'label'=>$lang->translate('facility'),'rules'=>'','value'=>'','db_field'=>'facilities_general','operator'=>'','options'=>array(),'multiselect'=>true,'xss'=>true
	),
	'facility_i'=>array(
		'label'=>$lang->translate('facility'),'rules'=>'','value'=>'','db_field'=>'facilities_indoor','operator'=>'','options'=>array(),'multiselect'=>true,'xss'=>true
	),
	'facility_o'=>array(
		'label'=>$lang->translate('facility'),'rules'=>'','value'=>'','db_field'=>'facilities_outdoor','operator'=>'','options'=>array(),'multiselect'=>true,'xss'=>true
	),
	'activity_l'=>array(
		'label'=>$lang->translate('activity'),'rules'=>'','value'=>'','db_field'=>'activities_local','operator'=>'','options'=>array(),'multiselect'=>true,'xss'=>true
	),
	'activity_o'=>array(
		'label'=>$lang->translate('activity'),'rules'=>'','value'=>'','db_field'=>'activities_other','operator'=>'','options'=>array(),'multiselect'=>true,'xss'=>true
	),
	'suitability'=>array('label'=>$lang->translate('suitability'),'value'=>'','rules'=>'','value'=>'','db_field'=>'suitability','operator'=>'',
		'options'=>array(
			'pets'=>$lang->translate('suitability_pets'),
			'smoke'=>$lang->translate('suitability_smoke')
		),
		'xss'=>true
	),
	'status'=>array(
		'label'=>$g_O->lang->translate('status'),'value'=>'','db_field'=>'listing_status','operator'=>'=','xss'=>true,
		'options'=>array(
			/*'for_sale'=>$g_O->lang->translate('for_sale'),*/
			'sold'=>$g_O->lang->translate('sold').' / '.$g_O->lang->translate('rented'),
			/*'for_rent'=>$g_O->lang->translate('for_rent'),*/
			'pending'=>$lang->translate('listing_status_pending'),
			'withdrawn'=>$lang->translate('listing_status_withdrawn'),
			'active_contingent'=>$lang->translate('listing_status_active_contingent')
		)
	),

	//OTHER
	'member'=>array('label'=>'','rules'=>'','value'=>'','db_field'=>'user_id','operator'=>'=','options'=>array(),'xss'=>true),
	'featured'=>array('label'=>'','rules'=>'','value'=>'','db_field'=>'featured','operator'=>'=','options'=>array(),'xss'=>true),
	'highlight'=>array('label'=>'','rules'=>'','value'=>'','db_field'=>'highlight','operator'=>'=','options'=>array(),'xss'=>true),
	'wishlist'=>array('label'=>'','rules'=>'','value'=>'','db_field'=>'listing_id','operator'=>'=','options'=>array(),'xss'=>true),
	'comparelist'=>array('label'=>'','rules'=>'','value'=>'','db_field'=>'listing_id','operator'=>'=','options'=>array(),'xss'=>true),
	'lid'=>array('label'=>'','rules'=>'','value'=>'','db_field'=>'listing_id','operator'=>'=','options'=>array(),'xss'=>true),
	'with_photos'=>array('label'=>'','rules'=>'','value'=>'','db_field'=>'no_photos','operator'=>'>=','options'=>array(),'xss'=>true),
	'with_videos'=>array('label'=>'','rules'=>'','value'=>'','db_field'=>'no_videos','operator'=>'>=','options'=>array(),'xss'=>true),
	'nearby'=>array('label'=>'','rules'=>'','value'=>'','db_field'=>'quadtree','operator'=>'=','options'=>array(),'xss'=>true),
	
	//MAP
	'g_tool'=>array('label'=>'','rules'=>'','value'=>'explore','db_field'=>'','operator'=>'','options'=>array(),'xss'=>true),
	'g_center'=>array('label'=>'','rules'=>'','value'=>'','db_field'=>'','operator'=>'','options'=>array(),'xss'=>true),
	'g_radius'=>array('label'=>'','rules'=>'','value'=>'','db_field'=>'','operator'=>'','options'=>array(),'xss'=>true),
	'g_radius_point'=>array('label'=>'','rules'=>'','value'=>'','db_field'=>'','operator'=>'','options'=>array(),'xss'=>true),
	'g_points'=>array('label'=>'','rules'=>'','value'=>'','db_field'=>'','operator'=>'','options'=>array(),'xss'=>true),
	'g_zoom'=>array('label'=>'','rules'=>'','value'=>'','db_field'=>'','operator'=>'','options'=>array(),'xss'=>true),
	'o_lat'=>array('label'=>'','rules'=>'','value'=>'','db_field'=>'','options'=>'','xss'=>true),
	'o_lng'=>array('label'=>'','rules'=>'','value'=>'','db_field'=>'','options'=>'','xss'=>true),
	'o_address'=>array('label'=>'','rules'=>'','value'=>'','db_field'=>'','options'=>'','xss'=>true),
	'o_zoom'=>array('label'=>'','rules'=>'','value'=>'','db_field'=>'','options'=>'','xss'=>true),
	's_ne'=>array('label'=>'','rules'=>'','value'=>'','db_field'=>'','options'=>'','xss'=>true),
	's_sw'=>array('label'=>'','rules'=>'','value'=>'','db_field'=>'','options'=>'','xss'=>true),
	's_zoom'=>array('label'=>'','rules'=>'','value'=>1,'db_field'=>'','options'=>'','xss'=>true)
	
);

foreach (range(1,$config['search_form_fields']['sleeps_max']['other']['max']) as $i) $config['search_form_fields']['sleeps_min']['options'][$i] = $i.'+';

for ($y=$config['search_form_fields']['year_of_build_min']['other']['min'];$y<=date('Y');$y++)
{
	//$config['form_fields']['year_of_build']['options'][$y] = $y;
	$config['form_fields']['year_of_build_min']['options'][$y] = $y;
	$config['form_fields']['year_of_build_max']['options'][$y] = $y;
}


//completes the location fields
for($i=1;$i<=$g_O->config->item('number_levels','location_levels');$i++)
	$config['search_form_fields']['location_'.$i] = array(
		'label'=>$lang->translate('choose_'.$g_O->config->item('location_'.$i)),
		'value'=>'',
		'rules'=>'',
		'options'=>array()
);
//used in form
$config['search_form_fields']['location']['params'] = array(
	'number_levels'=>$g_O->config->item('number_levels','location_levels'),
	'levels'=>$g_O->config->item('levels','location_levels')
);

$config['search_form_refine_fields'] = array(
	'location',
	//'type',
	'holiday_type',
	'view_type',
	'suitability',
	'utility',
	//'status',
	//'energy',
	//'orientation',
	'facility_g','facility_o','facility_i',
	'activity_l','activity_o'
);

$config['refine_search_filters'] = array(//create manual filters - high performance!!
	//eg
	/*
	'suitability'=>array(
		'filter'=>'suitability.longterm',
		'label'=>$lang->translate('suitability_longterm')
	)*/
	
);

//search fields - fields used for sql search
$config['search_form_data_fields'] = array(
	'for','type',
	'location','location_path',
	'start_date','end_date','flexible',
	'price_min','price_max',
	'sleeps_min','sleeps_max',
	'rooms_min','rooms_max','rooms',
	'bedrooms_min','bedrooms_max','bedrooms',
	'bathrooms_min','bathrooms_max','bathrooms',
	'live_square_min','live_square_max',
	'land_square_min','land_square_max',
	'total_square_min','total_square_max',
	'year_of_build','year_of_build_min','year_of_build_max',
	'stars_min','stars_max','offer_min','offer_max',
	'keywords',
	
	'holiday_type','view_type',
	'suitability','utility','status','energy','orientation','facility_g','facility_i','facility_o',
	'activity_l','activity_o',
	
	'featured','highlight','wishlist','member','comparelist','lid','with_photos','with_videos',
	'g_tool',
	'nearby'
);


//inject the form fields with possible other values
$config['multiselect_max_options'] = 10;
foreach ($config['search_form_fields'] as $field=>$conf_field)
{
	if(isset($conf_field['multiselect']))
	{
		if(!empty($conf_field['multiselect']))
		{
			for($i=2;$i<=$config['multiselect_max_options'];$i++)
			{
				$config['search_form_fields']["$field"."$i"] = $config['search_form_fields'][$field];
				//$config['search_form_refine_fields'][] = $field.$i;
				$config['search_form_data_fields'][] = $field.$i;
			}
		}
	}
}


//search select
$config['sql_search_select'] = "
			SELECT 
				DISTINCT(".$g_O->db->protect_i('listings',true).'.'.$g_O->db->protect_i('listing_id').")"
				//.",".$g_O->db->protect_i('listing_status')
				.",IF(
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('title_'.$lang_key)." <>'',
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('title_'.$lang_key).",
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('title_1')."
				) as title"
				.",".$g_O->db->protect_i('listings',true).'.'.$g_O->db->protect_i('stars')
				.",".$g_O->db->protect_i('listings',true).'.'.$g_O->db->protect_i('reviews_rating')
				.",".$g_O->db->protect_i('listings',true).'.'.$g_O->db->protect_i('reviews_total')
				.",IF(
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('summary_'.$lang_key)." <>'',
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('summary_'.$lang_key).",
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('summary_1')."
				) as summary"
				.",".$g_O->db->protect_i('currencies',true).".".$g_O->db->protect_i('symbol_lft')
				.",".$g_O->db->protect_i('currencies',true).".".$g_O->db->protect_i('symbol_rgt')
				.",".$g_O->db->protect_i('currencies',true).".".$g_O->db->protect_i('currency_code')
				.",".$g_O->db->protect_i('currencies',true).".".$g_O->db->protect_i('currency_rate')
				//.",".$g_O->db->protect_i('price')
				.",".$g_O->db->protect_i('min_nightly_rate')
				.",".$g_O->db->protect_i('max_nightly_rate')
				.",".$g_O->db->protect_i('min_weekly_rate')
				.",".$g_O->db->protect_i('max_weekly_rate')
				.",".$g_O->db->protect_i('min_monthly_rate')
				.",".$g_O->db->protect_i('max_monthly_rate')
				.",".$g_O->db->protect_i('listing_main_type')
				.",IF(
					".$g_O->db->protect_i('listing_types',true).".".$g_O->db->protect_i('title_'.$lang_key)." <>'',
					".$g_O->db->protect_i('listing_types',true).".".$g_O->db->protect_i('title_'.$lang_key).",
					".$g_O->db->protect_i('listing_types',true).".".$g_O->db->protect_i('title_1')."
				) as listing_type_title"
				.",".$g_O->db->protect_i('listing_types',true).'.'.$g_O->db->protect_i('listing_type_id')
				//.",".$g_O->db->protect_i('open_house_date')
				.",".$g_O->db->protect_i('max_guests')
				.",".$g_O->db->protect_i('no_rooms')
				.",".$g_O->db->protect_i('no_bedrooms')
				.",".$g_O->db->protect_i('no_bathrooms')
				.",".$g_O->db->protect_i('lat')
				.",".$g_O->db->protect_i('lng')
				.",".$g_O->db->protect_i('listings',true).'.'.$g_O->db->protect_i('ctime')
				.",".$g_O->db->protect_i('listings',true).'.'.$g_O->db->protect_i('mtime')
				.",".$g_O->db->protect_i('address')
				.",".$g_O->db->protect_i('highlight')
				.",".$g_O->db->protect_i('views')
				//.",".$g_O->db->protect_i('live_square')
				//.",".$g_O->db->protect_i('land_square')
				.",".$g_O->db->protect_i('total_square')
				.",".$g_O->db->protect_i('square_metrics')
				//.",".$g_O->db->protect_i('rental_price_term')
				.",".$g_O->db->protect_i('listings',true).'.'.$g_O->db->protect_i('location_id')
				.",".$g_O->db->protect_i('listings',true).'.'.$g_O->db->protect_i('location_str')
				.",".$g_O->db->protect_i('year_of_build')
				
				//vrs8 - we load all photos now
				//.",".$g_O->db->protect_i('listing_photos',true).'.ctime as photo_ctime'
				//.",".$g_O->db->protect_i('listing_photos',true).'.listing_photo_file as photo'
				//.",IF(
				//	".$g_O->db->protect_i('listing_photos',true).".".$g_O->db->protect_i('title_'.$lang_key)." <>'',
				//	".$g_O->db->protect_i('listing_photos',true).".".$g_O->db->protect_i('title_'.$lang_key).",
				//	".$g_O->db->protect_i('listing_photos',true).".".$g_O->db->protect_i('title_1')."
				//) as photo_title"
				.",".$g_O->db->protect_i('listings',true).'.'.$g_O->db->protect_i('featured')
				.",".$g_O->db->protect_i('listings',true).'.'.$g_O->db->protect_i('no_photos')

			;
$config['sql_details'] =  "
			SELECT 
				".$g_O->db->protect_i('listing_id')
				.",".$g_O->db->protect_i('user_id')
				.",".$g_O->db->protect_i('listing_main_type')
				.",".$g_O->db->protect_i('mtime')
				.",IF(
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('title_'.$lang_key)." <>'',
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('title_'.$lang_key).",
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('title_1')."
				) as title"
				.",".$g_O->db->protect_i('stars')
				.",".$g_O->db->protect_i('listings',true).'.'.$g_O->db->protect_i('reviews_rating')
				.",".$g_O->db->protect_i('listings',true).'.'.$g_O->db->protect_i('reviews_total')
				.",IF(
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('summary_'.$lang_key)." <>'',
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('summary_'.$lang_key).",
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('summary_1')."
				) as summary"
				.",IF(
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('description_'.$lang_key)." <>'',
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('description_'.$lang_key).",
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('description_1')."
				) as description"
				
				.",".$g_O->db->protect_i('currencies',true).".".$g_O->db->protect_i('symbol_lft')
				.",".$g_O->db->protect_i('currencies',true).".".$g_O->db->protect_i('symbol_rgt')
				.",".$g_O->db->protect_i('currencies',true).".".$g_O->db->protect_i('currency_code')
				
				.",".$g_O->db->protect_i('price')
				//.",".$g_O->db->protect_i('price_per_square')
				//.",".$g_O->db->protect_i('rental_price_term')
				
				.",".$g_O->db->protect_i('min_nightly_rate')
				.",".$g_O->db->protect_i('max_nightly_rate')
				.",".$g_O->db->protect_i('min_weekly_rate')
				.",".$g_O->db->protect_i('max_weekly_rate')
				.",".$g_O->db->protect_i('min_monthly_rate')
				.",".$g_O->db->protect_i('max_monthly_rate')
				.",".$g_O->db->protect_i('min_min_stay')
				.",".$g_O->db->protect_i('max_min_stay')

				
				//.",".$g_O->db->protect_i('upfront_payment')
				//.",".$g_O->db->protect_i('price_status')
				.",".$g_O->db->protect_i('listing_type_id')
				.",".$g_O->db->protect_i('listing_status')
				
				.",".$g_O->db->protect_i('no_rooms')
				.",".$g_O->db->protect_i('no_bedrooms')
				.",".$g_O->db->protect_i('multiple_units')
				.",".$g_O->db->protect_i('bedroom_options')
				.",".$g_O->db->protect_i('min_guests')
				.",".$g_O->db->protect_i('max_guests')
				.",".$g_O->db->protect_i('max_adults')
				.",".$g_O->db->protect_i('max_children')
				.",".$g_O->db->protect_i('no_bathrooms')
				.",".$g_O->db->protect_i('bathroom_options')
				.",".$g_O->db->protect_i('no_half_bathrooms')
				.",".$g_O->db->protect_i('view_type')
				.",".$g_O->db->protect_i('holiday_type')
				.",".$g_O->db->protect_i('board')
				.",".$g_O->db->protect_i('access_options')
				
				.",".$g_O->db->protect_i('square_metrics')
				//.",".$g_O->db->protect_i('live_square')
				.",".$g_O->db->protect_i('total_square')
				//.",".$g_O->db->protect_i('land_square')
				//.",".$g_O->db->protect_i('lot_size')
				
				//.",".$g_O->db->protect_i('year_of_build')
				//.",".$g_O->db->protect_i('construction_type')
				.",".$g_O->db->protect_i('floor_number')
				.",".$g_O->db->protect_i('no_floors')
				.",".$g_O->db->protect_i('parking')
				.",".$g_O->db->protect_i('parking_type')
				.",".$g_O->db->protect_i('fireplace')
				.",".$g_O->db->protect_i('heating_system')
				
				.",".$g_O->db->protect_i('utilities')
				.",".$g_O->db->protect_i('services')
				.",".$g_O->db->protect_i('activities_local')
				.",".$g_O->db->protect_i('activities_other')
				.",".$g_O->db->protect_i('facilities_general')
				.",".$g_O->db->protect_i('facilities_indoor')
				.",".$g_O->db->protect_i('facilities_outdoor')
				
				
				.",".$g_O->db->protect_i('location_id')
				.",".$g_O->db->protect_i('location_str')
				.",".$g_O->db->protect_i('lat')
				.",".$g_O->db->protect_i('lng')
				.",".$g_O->db->protect_i('zoom')
				.",".$g_O->db->protect_i('address')
				.",".$g_O->db->protect_i('zip_code')
				.",".$g_O->db->protect_i('orientation')
				
				.",IF(
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('directions_'.$lang_key)." <>'',
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('directions_'.$lang_key).",
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('directions_1')."
				) as directions"
				.",IF(
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('neighborhood_'.$lang_key)." <>'',
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('neighborhood_'.$lang_key).",
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('neighborhood_1')."
				) as neighborhood"
				.",".$g_O->db->protect_i('distances')
				
				
				//.",".$g_O->db->protect_i('available_from')
				//.",".$g_O->db->protect_i('open_house_date')
				//.",".$g_O->db->protect_i('open_house_hour_from')
				//.",".$g_O->db->protect_i('open_house_hour_to')
				.",".$g_O->db->protect_i('views')
				.",".$g_O->db->protect_i('mls')
				.",IF(
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('keywords_'.$lang_key)." <>'',
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('keywords_'.$lang_key).",
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('keywords_1')."
				) as keywords"
				
				.",".$g_O->db->protect_i('check_in')
				.",".$g_O->db->protect_i('check_out')
				.",IF(
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('policies_'.$lang_key)." <>'',
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('policies_'.$lang_key).",
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('policies_1')."
				) as policies"
				.",IF(
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('terms_and_conditions_'.$lang_key)." <>'',
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('terms_and_conditions_'.$lang_key).",
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('terms_and_conditions_1')."
				) as terms_and_conditions"
				.",".$g_O->db->protect_i('lease_type')
				.",IF(
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('lease_details_'.$lang_key)." <>'',
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('lease_details_'.$lang_key).",
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('lease_details_1')."
				) as lease_details"
				.",payment_options"
				
				.",IF(
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('security_deposit_description_'.$lang_key)." <>'',
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('security_deposit_description_'.$lang_key).",
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('security_deposit_description_1')."
				) as security_deposit"
				.",".$g_O->db->protect_i('suitability')
				.",IF(
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('suitability_description_'.$lang_key)." <>'',
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('suitability_description_'.$lang_key).",
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('suitability_description_1')."
				) as suitability_description"
				.",".$g_O->db->protect_i('energy')
				.",IF(
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('energy_description_'.$lang_key)." <>'',
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('energy_description_'.$lang_key).",
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('energy_description_1')."
				) as energy_description"
				
				//discounts
				.",".$g_O->db->protect_i('discount_children')
				.",".$g_O->db->protect_i('discounts_early_booking')
				.",".$g_O->db->protect_i('discounts_long_stay')
				
				//settings
				.",".$g_O->db->protect_i('show_availability_calendar')
				.",".$g_O->db->protect_i('show_address')
				.",".$g_O->db->protect_i('show_rates')
				.",".$g_O->db->protect_i('show_walkscore')
				.",".$g_O->db->protect_i('allow_bookings')
				
				//seo
				.",IF(
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('seo_title_'.$lang_key)." <>'',
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('seo_title_'.$lang_key).",
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('seo_title_1')."
				) as seo_title" 
				.",IF(
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('seo_description_'.$lang_key)." <>'',
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('seo_description_'.$lang_key).",
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('seo_description_1')."
				) as seo_description" 
				.",IF(
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('seo_keywords_'.$lang_key)." <>'',
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('seo_keywords_'.$lang_key).",
					".$g_O->db->protect_i('listings',true).".".$g_O->db->protect_i('seo_keywords_1')."
				) as seo_keywords" 
				;

/**
* SENT TO FRIEND
***********************************************************************************/

$config['send_to_friend_form_fields'] = array(
	'email'=>array(
		'label'=>$lang->translate('email'),
		'rules'=>'trim|required|valid_email',
		'value'=>'',
		'xss'=>true
	),
	'message'=>array(
		'label'=>$lang->translate('message'),
		'rules'=>'trim|required',
		'value'=>'',
		'xss'=>true
	),
	'captcha'=>array(
		'label'=>$lang->translate('captcha'),
		'rules'=>'trim|required|check_captcha',
		'value'=>'',
	)
);
$config['send_to_friend_form_data_fields'] = array('email','message');

/**
* CONTACT OWNER
***********************************************************************************/

$config['contact_owner_form_fields'] = array(
	'name'=>array(
		'label'=>$lang->translate('your_name'),
		'rules'=>'trim|required',
		'value'=>'',
		'xss'=>true
	),
	'from_email'=>array(
		'label'=>$lang->translate('email'),
		'rules'=>'trim|required|valid_email',
		'value'=>'',
		'xss'=>true
	),
	'phone'=>array(
		'label'=>$lang->translate('phone'),
		'rules'=>'trim|required',
		'value'=>'',
		'xss'=>true
	),
	'start_date'=>array(
		'label'=>$lang->translate('travel_start_date'),
		'rules'=>'trim|required',
		'value'=>'',
		'xss'=>true
	),
	'end_date'=>array(
		'label'=>$lang->translate('travel_end_date'),
		'rules'=>'trim|required|date_greater_than[start_date]',
		'value'=>'',
		'xss'=>true
	),
	'no_guests'=>array(
		'label'=>$lang->translate('guests'),
		'rules'=>'',
		'value'=>'',
		'options'=>range(1,40)
	),
	'message'=>array(
		'label'=>$lang->translate('message'),
		'rules'=>'trim|required',
		'value'=>'',
		'xss'=>true
	),
	'subject'=>array(
		'label'=>$lang->translate('subject'),
		'rules'=>'trim|required',
		'value'=>'',
		'xss'=>true
	),
	'priority'=>array(
		'label'=>$lang->translate('priority'),
		'rules'=>'trim|required',
		'value'=>'1',
		'options'=>array(
			'low'=>$lang->translate('inquiry_priority_low'),
			'medium'=>$lang->translate('inquiry_priority_medium'),
			'high'=>$lang->translate('inquiry_priority_high')
		)
	),
	'captcha'=>array(
		'label'=>$lang->translate('captcha'),
		'rules'=>'trim|required|check_captcha',
		'value'=>'',
	)
);
$config['contact_owner_form_data_fields'] = array('name','from_email','subject','message','phone','start_date','end_date','no_guests','priority');

/**
* REVIEWS
***********************************************************************************/
$config['reviews_pagination'] = array_merge(array( 'base_url'=>'','per_page' =>10,'uri_segment' =>4,'total_rows' =>0),$g_O->config->item('pagination_opts'));
$config['review_form_fields'] = array(
	'user_id'=>array('label'=>$lang->translate('user_id'),'value'=>'','rules'=>'trim|required'),
	'reviewer_id'=>array('label'=>$lang->translate('user'),'value'=>'','rules'=>'trim|required'),
	'arrival_date'=>array('label'=>$lang->translate('arrival'),'value'=>'','rules'=>'trim|required'),
	'title'=>array('label'=>$lang->translate('review_title'),'value'=>'','rules'=>'trim|required','xss'=>true),
	'body'=>array('label'=>$lang->translate('review_body'),'value'=>'','rules'=>'trim|required','xss'=>true),
	'rating_stars'=>array('label'=>$lang->translate('rating_stars'),'value'=>0,'rules'=>''),
	'captcha'=>array(
		'label'=>$lang->translate('captcha'),
		'rules'=>'trim|required|check_captcha',
		'value'=>'',
	)
);

$config['review_form_data_fields'] = array(
	'rating_stars','rating_text','user_id','reviewer_id','arrival_date',
	'title','body',
);

/**
* Quick BOOKING
***********************************************************************************/
$config['quick_booking_form_fields'] = array(
	'qb_start_date'=>array('label'=>$lang->translate('arrival'),'value'=>'','rules'=>'trim|required','xss'=>true),
	'qb_end_date'=>array('label'=>$lang->translate('departure'),'value'=>'','rules'=>'trim|required','xss'=>true),
	'qb_guests'=>array( 'label'=>$lang->translate('guests'),'value'=>2,'rules'=>'trim|required','xss'=>true,'options'=>array())
);


/**
* BOOKING
***********************************************************************************/
$config['booking_form_fields'] = array(
	'listing_id'=>array('label'=>$lang->translate('listing_id'),'value'=>'','rules'=>'trim|required'),
	'start_date'=>array('label'=>$lang->translate('arrival'),'value'=>'','rules'=>'trim|required','xss'=>true),
	'end_date'=>array('label'=>$lang->translate('departure'),'value'=>'','rules'=>'trim|required','xss'=>true),
	'number_adults'=>array(
		'label'=>$lang->translate('number_adults'),
		'value'=>'',
		'rules'=>'required','options'=>array()
	),
	'number_children'=>array(
		'label'=>$lang->translate('number_children'),
		'value'=>'',
		'rules'=>'','options'=>array()
	),
	'number_infants'=>array(
		'label'=>$lang->translate('number_infants'),
		'value'=>'',
		'rules'=>'','options'=>array()
	),
	
	'name'=>array(
		'label'=>$lang->translate('first_name'),
		'rules'=>'trim|required',
		'value'=>'',
		'xss'=>true
	),
	'phone'=>array(
		'label'=>$lang->translate('phone'),
		'rules'=>'trim|required',
		'value'=>'',
		'xss'=>true
	),
	'phone_prefix'=>array(
		'label'=>'',
		'rules'=>'',
		'value'=>'',
		'xss'=>true
	),
	'country'=>array(
		'label'=>$lang->translate('country'),
		'rules'=>'trim|required',
		'value'=>'',
		'xss'=>true,
		'options'=>array()
	),
	'location'=>array(
		'label'=>$lang->translate('location'),
		'rules'=>'trim|required',
		'value'=>'',
		'xss'=>true
	),
	'address'=>array(
		'label'=>$lang->translate('address'),
		'rules'=>'trim',
		'value'=>'',
		'xss'=>true
	),
	'zip'=>array(
		'label'=>$lang->translate('zip_code'),
		'rules'=>'trim',
		'value'=>'',
		'xss'=>true
	),
	'company_name'=>array(
		'label'=>$lang->translate('company_name'),
		'rules'=>'trim',
		'value'=>'',
		'xss'=>true
	),
	'email'=>array('label'=>$lang->translate('email'),'value'=>'','rules'=>'trim|required|valid_email','xss'=>true),
	'message'=>array('label'=>$lang->translate('message'),'value'=>'','rules'=>'trim','xss'=>true),
	'terms_and_conditions'=>array('label'=>$lang->translate('terms_and_conditions'),'value'=>1,'rules'=>'required'),
	'payment_system'=>array('label'=>$lang->translate('payment_system'),'value'=>'','rules'=>'required','options'=>array()),
	'coupon_code'=>array('label'=>$lang->translate('coupon_code'),'value'=>'','rules'=>'trim'),
	'captcha'=>array(
		'label'=>$lang->translate('captcha'),
		'rules'=>'trim|required|check_captcha',
		'value'=>'',
	),
	'addons_optional'=>array('label'=>'','value'=>'','rules'=>'','values'=>array()),
	'addons_mandatory'=>array('label'=>'','value'=>'','rules'=>'','values'=>array()),
	'addons_info'=>array('label'=>'','value'=>'','rules'=>'','values'=>array())
);

$config['booking_form_data_fields'] = array(
	'listing_id','start_date','end_date','number_adults','number_children','number_infants',
	'name','country','location','phone','address','zip','email','message','company_name',
	'addons_optional','addons_mandatory','addons_info'
);
