<?php  if ( ! defined('PRIVATE_PATH')) exit('Access is denied !');

$g_O = &get_instance();
$lang = $g_O->lang;
$lang_key = ($g_O->config->item('lang_key'));

$config['registration_form_fields'] = array(
	'role'=>array(
		'label'=>$lang->translate('role'),
		'rules'=>'trim|required',
		'options'=>array(
			'guest'=>$g_O->lang->translate('guest'),
			'member'=>$g_O->lang->translate('member')
		),
		'value'=>'',
		'xss'=>true
	),
	'username'=>array(
		'label'=>$lang->translate('username'),
		'rules'=>'trim|required',
		'value'=>'',
		'xss'=>true
	),
	'name'=>array(
		'label'=>$lang->translate('name'),
		'rules'=>'trim|required',
		'value'=>'',
		'xss'=>true
	),
	'email'=>array(
		'label'=>$lang->translate('email'),
		'rules'=>'trim|required|valid_email',
		'value'=>'',
		'xss'=>true
	),
	'phone'=>array(
		'label'=>$lang->translate('phone'),
		'rules'=>'trim|required',
		'value'=>'',
		'xss'=>true
	),
	'sms_phone'=>array(
		'label'=>$lang->translate('sms_phone'),
		'rules'=>'trim',
		'value'=>'',
		'xss'=>true
	),
	'password'=>array(
		'label'=>$lang->translate('password'),'value'=>'',
		'rules'=>'trim|required','xss'=>false
	),
	'retype_password'=>array(
		'label'=>$lang->translate('retype_password'),'value'=>'',
		'rules'=>'trim|required|matches[password]','xss'=>false
	),
	'active_newsletter'=>array(
		'label'=>$lang->translate('active_newsletter'),
		'rules'=>'',
		'value'=>1
	),
	'terms_and_conditions'=>array(
		'label'=>$lang->translate('terms_and_conditions'),
		'rules'=>'trim|required',
		'value'=>''
	),
	'captcha'=>array(
		'label'=>$lang->translate('captcha'),
		'rules'=>'trim|required|check_captcha',
		'value'=>'',
	),
	'country'=>array('label'=>'','value'=>'','xss'=>true,'rules'=>''),
	'location'=>array('label'=>'','value'=>'','xss'=>true,'rules'=>''),
	'address'=>array('label'=>'','value'=>'','xss'=>true,'rules'=>''),
	'zip'=>array('label'=>'','value'=>'','xss'=>true,'rules'=>'')
);
$config['registration_form_data_fields'] = array(	
	'role','username','email','password','active_newsletter',
	'name','phone','country','location','address','zip');
$config['registration_form_profile_fields'] = array();

$config['newsletter_form_fields'] = array(
		'email'=>array(
		'label'=>$lang->translate('email'),
		'rules'=>'trim|required|valid_email',
		'value'=>'',
		'xss'=>true
	),
	'captcha'=>array(
		'label'=>$lang->translate('captcha'),
		'rules'=>'trim|required|check_captcha',
		'value'=>'',
	)
);
$config['newsletter_form_data_fields'] = array('email');
