(function() {
	var DOM = tinymce.DOM;
	tinymce.create('tinymce.plugins.Rscripts', {
		/**
		 * Initializes the plugin, this will be executed after the plugin has been created.
		 * @param {tinymce.Editor} ed Editor instance that the plugin is initialized in.
		 * @param {string} url Absolute URL to where the plugin is located.
		 */
		createControl: function(n, cm) {
			switch (n) {
				case 'content_listbox':
					if(!this.o_content_listbox) return;
					var o_content_listbox = this.o_content_listbox;
					var $this = this;
					var clb = cm.createListBox('content_listbox', {
	                     title : o_content_listbox.title,
	                     onselect : function(v) {
	                     	if(v!='')
	                     	{
	                     		var t = '';
	                     		for(option in o_content_listbox.options)
	                     		{
	                     			if(o_content_listbox.options[option].value==v) {
	                     				t = o_content_listbox.options[option].label;
	                     				break;
	                     			}
	                     		}
	                     		//var insert = '<div class="mce_cms_box_content"><span class="delete_cms_box">&times;</span>{cms_content id="'+v+'" title="'+t+'"}</div>';
	                     		var insert = '<p><input type="button" class="mce_cms_box_content" value=\'{cms_content id="'+v+'" title="'+t+'"}\' /></p>';
	                     		tinyMCE.activeEditor.execCommand('mceInsertContent', 0, ''+insert);
	                     	}
	                     }
	                });
	                
	                for(option in o_content_listbox.options)
	                	clb.add(o_content_listbox.options[option].label,o_content_listbox.options[option].value);
	                
	                
	                // Return the new listbox instance
	                return clb;
	                break;
	            case 'links_listbox':
	            	if(!this.o_links_listbox) return;
	            	var o_links_listbox = this.o_links_listbox;

	                var llb = cm.createListBox('links_listbox', {
	                     title : o_links_listbox.title,
	                     onselect : function(v) {
	                        if(v!='')
	                     	{
	                     		var t = '';
	                     		for(option in o_links_listbox.options)
	                     		{
	                     			if(o_links_listbox.options[option].value==v) {
	                     				t = o_links_listbox.options[option].label;
	                     				break;
	                     			}
	                     		}
	                     		//var insert = '<div class="mce_cms_box_link">{cms_link id="'+v+'" title="'+t+'"}</div><p>&nbsp;</p>';
	                     		var insert = '<p><input type="button" class="mce_cms_box_link" value=\'{cms_link id="'+v+'" title="'+t+'"}\' /></p>';
	                     		tinyMCE.activeEditor.execCommand('mceInsertContent', 0, ''+insert);
	                     	}
	                     }
	                });
	
	                // Add some values to the list box
	                for(option in o_links_listbox.options)
	                	llb.add(o_links_listbox.options[option].label,o_links_listbox.options[option].value);
	                
	                // Return the new listbox instance
	                return llb;
        	}
		},
		init : function(ed, url) {
			// register the command so that it can be invoked by using tinyMCE.activeEditor.execCommand('mceExample');
			var more_html,t=this;
			more_html = '<img src="' + url + '/img/1x1.png" class="mce_more mceItemNoResize" title="More..." />';
			
			if(ed.settings.o_content_listbox && ed.settings.o_links_listbox)
			{
				t.o_content_listbox = ed.settings.o_content_listbox();
				t.o_links_listbox = ed.settings.o_links_listbox();
				t.url = url;
			}
			
			
			ed.addCommand('mceExample', function() {
				ed.windowManager.open({
					file : url + '/dialog.htm',
					width : 320 + ed.getLang('example.delta_width', 0),
					height : 120 + ed.getLang('example.delta_height', 0),
					inline : 1
				}, {
					plugin_url : url, // Plugin absolute URL
					some_custom_arg : 'custom arg' // Custom argument
				});
			});

			ed.addButton('example', {
				title : 'example.desc',
				cmd : 'mceExample',
				image : url + '/img/example.gif'
			});
			
			ed.addButton('more', {
				title : 'More',
				cmd : 'more',
				image: url+'/img/more.gif'
			});
			ed.addCommand('more', function() {
				ed.execCommand('mceInsertContent', 0, more_html);
			});
			
			ed.addButton('add_image', {
				title : 'Add image',
				image : url + '/img/image.png',
				onclick : function() {
					//$('#active_editor').val(ed.editorId);
					active_editor = ed.editorId;
					$.colorbox({href:site_url+'/admin/gimages/view_wysiwyg',width:'750px',height:'80%',iframe:true}); 
				}
			});
			
			ed.addButton('add_flash', {
				title : 'Add flash',
				image : url + '/img/flash.png',
				onclick : function() {
					active_editor = ed.editorId;
					$.colorbox({href:site_url+'/admin/gflash/view_wysiwyg',width:'800px',height:'80%',iframe:true}); 
				}
			});
			
			ed.addButton('add_jscript', {
				title : 'Insert Jscript Code',
				image : url + '/img/jscript.png',
				onclick : function() {
					active_editor = ed.editorId;
					$.colorbox({inline:true,href:"#jscript_box"});
				}
			});

			// Add a node change handler, selects the button in the UI when a image is selected
			ed.onNodeChange.add(function(ed, cm, n) {
				
			});
			
			// keep empty paragraphs 
			ed.onSaveContent.addToTop(function(ed, o) {
				o.content = o.content.replace(/<p>(<br ?\/?>|\u00a0|\uFEFF)?<\/p>/g, '<p>&nbsp;</p>');
			}); 
			
			// Add listeners to handle more break
			t._handle_more(ed, url); 
			t._handle_cms_content_box(ed,url);
			t._handle_cms_link_box(ed,url);
			t._handle_cms_include_box(ed,url);
			t._handle_cms_flash_box(ed,url);
		},
		_handle_cms_content_box: function(ed,url)
		{
			var box_html;
			//box_html = '<div class="mce_cms_box_content"><span class="delete_cms_box">&times;</span>{cms_content id="$1" title="$2"}</div>';
			box_html = '<p><input type="button" class="mce_cms_box_content" value=\'{cms_content id="$1" title="$2"}\' /></p>';
			
			//display cms_box in path instead of div
			ed.onPostRender.add(function() {
				if (ed.theme.onResolveName) {
					ed.theme.onResolveName.add(function(th, o) {
						if (o.node.nodeName == 'INPUT') {
							if ( ed.dom.hasClass(o.node, 'mce_cms_box_content') ) o.name = 'cms_box_content';
						}
					});
				}
			});
			
			// Replace cms box with div
			ed.onBeforeSetContent.add(function(ed, o) {
				if ( o.content ) {
					/*
					var $content = $('<div>'+o.content+'</div>');
					$content.find('input.mce_cms_box_content').each(
						function(){
							
							$(this).find('span').remove();
							var text = $(this).text();
							$(this).replaceWith(text);
						}
					);
					o.content = $content.unwrap().html();
					//console.log(o.content);
					o.content = o.content.replace(/{cms_content id="([^\}]*)" title="([^\}]*)?"}/g, box_html);
					//console.log(o.content);*/
					var $content = $('<div>'+o.content+'</div>');
					$content.find('input.mce_cms_box_content').each(
						function(){
							  var text = $(this).val();
							  $(this).unwrap().replaceWith(text);
						}
					);
					o.content = $content.unwrap().html();
					o.content = o.content.replace(/{cms_content id="([^\}]*)" title="([^\}]*)?"}/g, box_html);
				}
			});
			
			// Replace div with smarty tag
			ed.onPostProcess.add(function(ed, o) 
			{
				if (o.get){
					/*
					var $content = $('<div>'+o.content+'</div>');
					$content.find('div.mce_cms_box_content').each(
						function(){
							
							$(this).find('span').remove();
							var text = $(this).text();
							 $(this).replaceWith(text);
						}
					);
					o.content = $content.unwrap().html();*/
					/*
					o.content = o.content.replace(/<p><input[^>]+\/><\/p>/g, function(inp) {
						
						if (inp.indexOf('class="mce_cms_box_content"') !== -1) 
						{
							inp = $(inp).unwrap().find('input').val();
						}
						return inp;
					});*/
					
					var $content = $('<div>'+o.content+'</div>');
					$content.find('input.mce_cms_box_content').each(
						function(){
							  var text = $(this).val();
							  $(this).unwrap().replaceWith(text);
						}
					);
					o.content = $content.unwrap().html();
					
					//console.log(o.content);
				}
			});
			
		},
		_handle_cms_link_box: function(ed,url)
		{
			var box_html;
			//box_html = '<div class="mce_cms_box_link">{cms_link id="$1" title="$2"}</div>';
			box_html = '<p><input type="button" class="mce_cms_box_link" value=\'{cms_link id="$1" title="$2"}\' /></p>';
			
			//display cms_box in path instead of div
			ed.onPostRender.add(function() {
				if (ed.theme.onResolveName) {
					ed.theme.onResolveName.add(function(th, o) {
						if (o.node.nodeName == 'INPUT') {
							if ( ed.dom.hasClass(o.node, 'mce_cms_box_link') ) o.name = 'cms_box_link';
						}
					});
				}
			});
			
			// Replace cms box with div
			ed.onBeforeSetContent.add(function(ed, o) {
				if ( o.content ) {
					
					/*
					var $content = $('<div>'+o.content+'</div>');
					$content.find('div.mce_cms_box_link').each(
						function(){
							  var text = $(this).text();
							  $(this).replaceWith(text);
						}
					);
					o.content = $content.unwrap().html();
					o.content = o.content.replace(/{cms_link id="([^\}]*)" title="([^\}]*)?"}/g, box_html);*/
					var $content = $('<div>'+o.content+'</div>');
					$content.find('input.mce_cms_box_link').each(
						function(){
							  var text = $(this).val();
							  $(this).unwrap().replaceWith(text);
						}
					);
					o.content = $content.unwrap().html();
					o.content = o.content.replace(/{cms_link id="([^\}]*)" title="([^\}]*)?"}/g, box_html);
				}
			});
			
			// Replace div with smarty tag
			ed.onPostProcess.add(function(ed, o) 
			{
				if (o.get){
					
					/*
					var $content = $('<div>'+o.content+'</div>');
					$content.find('div.mce_cms_box_link').each(
						function(){
							  var text = $(this).text();
							  $(this).replaceWith(text);
						}
					);
					o.content = $content.unwrap().html();*/
					var $content = $('<div>'+o.content+'</div>');
					$content.find('input.mce_cms_box_link').each(
						function(){
							  var text = $(this).val();
							  $(this).unwrap().replaceWith(text);
						}
					);
					o.content = $content.unwrap().html();
					/*
					o.content = o.content.replace(/<input[^>]+\/>/g, function(inp) {
						
						if (inp.indexOf('class="mce_cms_box_link"') !== -1) 
						{
							$(inp).unwrap();inp = $(inp).val();
						}
						return inp;
					});*/
					//console.log(o.content);
				}
			});
			
		},
		
		_handle_cms_flash_box: function(ed,url)
		{
			var box_html;
			box_html = '<p><input type="button" class="mce_cms_box_flash" value=\'{cms_flash id="$1" swf="$2" w="$3" h="$4"}\' /></p>';
			
			ed.onPostRender.add(function() {
				if (ed.theme.onResolveName) {
					ed.theme.onResolveName.add(function(th, o) {
						if (o.node.nodeName == 'INPUT') {
							if ( ed.dom.hasClass(o.node, 'mce_cms_box_flash') ) o.name = 'cms_box_flash';
						}
					});
				}
			});
			
			// Replace cms box with div
			ed.onBeforeSetContent.add(function(ed, o) {
				if ( o.content ) {
					
					var $content = $('<div>'+o.content+'</div>');
					$content.find('input.mce_cms_box_flash').each(
						function(){
							  var text = $(this).val();
							  $(this).unwrap().replaceWith(text);
						}
					);
					o.content = $content.unwrap().html();
					o.content = o.content.replace(/{cms_flash id="([^\}]*)" swf="([^\}]*)?" w="([^\}]*)" h="([^\}]*)"}/g, box_html);
				}
			});
			
			// Replace div with smarty tag
			ed.onPostProcess.add(function(ed, o) 
			{
				if (o.get){
					var $content = $('<div>'+o.content+'</div>');
					$content.find('input.mce_cms_box_flash').each(
						function(){
							  var text = $(this).val();
							  $(this).unwrap().replaceWith(text);
						}
					);
					o.content = $content.unwrap().html();
				}
			});
			
		},
		
		_handle_cms_include_box: function(ed,url)
		{
			var box_html;
			box_html = '<p><input type="button" class="mce_cms_box_include" value=\'{include file="$1"}\' /></p>';
			
			//display cms_box in path instead of div
			ed.onPostRender.add(function() {
				if (ed.theme.onResolveName) {
					ed.theme.onResolveName.add(function(th, o) {
						if (o.node.nodeName == 'INPUT') {
							if ( ed.dom.hasClass(o.node, 'mce_cms_box_include') ) o.name = 'cms_box_include';
						}
					});
				}
			});
			
			// Replace cms box with div
			ed.onBeforeSetContent.add(function(ed, o) {
				if ( o.content ) {
					
					var $content = $('<div>'+o.content+'</div>');
					$content.find('input.mce_cms_box_include').each(
						function(){
							  var text = $(this).val();
							  $(this).unwrap().replaceWith(text);
						}
					);
					o.content = $content.unwrap().html();
					o.content = o.content.replace(/{include file="([^\}]*)"}/g, box_html);
				}
			});
			
			// Replace div with smarty tag
			ed.onPostProcess.add(function(ed, o) 
			{
				if (o.get){
					var $content = $('<div>'+o.content+'</div>');
					$content.find('input.mce_cms_box_include').each(
						function(){
							  var text = $(this).val();
							  $(this).unwrap().replaceWith(text);
						}
					);
					o.content = $content.unwrap().html();
				}
			});
			
		},
		_handle_more : function(ed, url) 
		{
			var more_html;
			more_html = '<img src="' + url + '/img/1x1.png" alt="$1" class="mce_more mceItemNoResize" title="More..." />';
			
				
			// Display morebreak instead if img in element path
			ed.onPostRender.add(function() {
				if (ed.theme.onResolveName) {
					ed.theme.onResolveName.add(function(th, o) {
						if (o.node.nodeName == 'IMG') {
							if ( ed.dom.hasClass(o.node, 'mce_more') ) o.name = 'more';
						}
					});
				}
			});
				
			// Replace morebreak with images
			ed.onBeforeSetContent.add(function(ed, o) {
				if ( o.content ) {
					o.content = o.content.replace(/<!--more(.*?)-->/g, more_html);
				}
			});
				
			// Replace images with morebreak
			ed.onPostProcess.add(function(ed, o) 
			{
				if (o.get)
					o.content = o.content.replace(/<img[^>]+>/g, function(im) {
						if (im.indexOf('class="mce_more') !== -1) 
						{
							var m, moretext = (m = im.match(/alt="(.*?)"/)) ? m[1] : '';im = '<!--more'+moretext+'-->';
						}
						return im;
					});
			});
				
			// Set active buttons if user selected more
			ed.onNodeChange.add(function(ed, cm, n) {
				cm.setActive('more', n.nodeName === 'IMG' && ed.dom.hasClass(n, 'mce_more'));
			});
		},

		
		/*
		createControl : function(n, cm) {
			return null;
		},
		*/
		getInfo : function() {
			return {
				longname : 'rscripts plugin',
				author : 'rscripts',
				authorurl : 'http://r-scripts.com',
				infourl : '',
				version : "1.0"
			};
		}
	});

	// Register plugin
	tinymce.PluginManager.add('rscripts', tinymce.plugins.Rscripts);
})();
