var availability = function(){
	return {
		'start_date_init':function(){
			var today = new Date();
			var $this = this;
			var check_start_date = function()
			{
				if($("#start_date").val()) 
				{
					return $.datepicker.parseDate('yy-mm-dd',$("#start_date").val());
				}
				else 
				{
					return today;
				}
			}
			var selected = check_start_date();
			
			
			$("#start_date_picker").datepicker({
				//minDate:0,
				changeMonth: true,
				dateFormat: date_format,
				numberOfMonths: 3,
				altField: "#start_date",
				altFormat: "yy-mm-dd",
				onClose: function( selectedDate ) 
				{
					var selected_date = $.datepicker.parseDate(date_format,selectedDate);
					var next_day = selected_date;
					next_day.setDate(selected_date.getDate()+1);
					$( "#end_date_picker" ).datepicker( "option", "minDate", next_day).datepicker('setDate',next_day);
				}
			}).datepicker('setDate',selected);
		},
		'end_date_init':function(){
			var today = new Date();
			var tomorrow = today;
			tomorrow.setDate(today.getDate()+1);
			var $this = this;
			
			var check_end_date = function()
			{
				if($("#end_date").val()) 
				{
					return $.datepicker.parseDate('yy-mm-dd',$("#end_date").val());
				}
				else if ($("#start_date").val())
				{
					var start_date = $.datepicker.parseDate('yy-mm-dd',$("#start_date").val());
					start_date.setDate(start_date.getDate()+1);
					return start_date;
				}
				else
					return tomorrow;
			}
			var selected = check_end_date();
			
			$( "#end_date_picker" ).datepicker({
				defaultDate: "+1w",
				changeMonth: true,
				dateFormat: date_format,
				numberOfMonths: 3,
				altField: "#end_date",
				altFormat: "yy-mm-dd",
				onClose: function( selectedDate ) 
				{
					$( "#start_date_picker" ).datepicker( "option", "maxDate", selectedDate );
				}
			}).datepicker('setDate',selected);
			
			//if($("#start_date").val()) $("#end_date_picker").datepicker("show");
		}
	}
}();

var calendar_highlight = function(){
	var clicks = 0, tds, multiple_units, start_tr, current_tr,start;
	return {
		init: function()
		{
			multiple_units = $(".availability_calendar_units")[0]?true:false;
			tds = multiple_units?$('.availability_calendar_units td'):$(".availability_calendar td");
			var $this = this;
			
			tds.click(
				function (e) 
				{
					e.preventDefault();
					
					if(multiple_units)
					{
						if(clicks==0) 
							start_tr = $(this).closest('tr').attr('id');
						
						current_tr = $(this).closest('tr').attr('id');
						if(start_tr!=current_tr) return false;
					
						var listing_id = parseInt(current_tr.replace('tr_calendar_',''),10);
						if(listing_id)
							$("#listing_id").val(listing_id);
					}
				
					clicks++;
					$this.manage_clicks(clicks,$(this));
					return false;
				}
			);
		},
		manage_clicks: function(clicks,$td)
		{
			var $this = this;
			switch(clicks)
			{	
				case 1:
					var start_date_val = $td.find('a').eq(0).attr('rel');
					if(!$this.set_dates(start_date_val))
					{
						$this.reset();
						return false;
					}
					$td.toggleClass("highlight");
					$td.addClass("highlightStart");
					break;
				case 2:
					var start_date_val = $("#start_date").val();
					var end_date_val = $td.find('a').eq(0).attr('rel');
					if(!$this.set_dates(start_date_val,end_date_val))
					{
						$this.reset();
						return false;
					}
					$td.toggleClass("highlight");
					$td.addClass("highlightEnd");
					$this.highlight();
					break;
				default:
					$this.reset();
			}
		},
		set_dates: function(start_date_val,end_date_val)
		{
			
			var start_date,end_date;
			if(!start_date_val&&!end_date_val) return false;
			
			var today = new Date();
			var $this = this;
			
			
			if(start_date_val && end_date_val)
			{
				start_date =  $.datepicker.parseDate('yy-mm-dd',start_date_val);
				end_date = $.datepicker.parseDate('yy-mm-dd',end_date_val);
				
				if(!$this.valid_dates(today,start_date) || !$this.valid_dates(today,end_date))
				{
					return false;
				}
				
				if(!$this.valid_dates(start_date,end_date))
				{
					return false;
				}
				else if(start_date_val==end_date_val)
				{
					end_date = new Date();
					end_date.setDate(start_date.getDate()+1);
				}
					
			}
			else if(start_date_val)
			{
				start_date =  $.datepicker.parseDate('yy-mm-dd',start_date_val);
				if(!$this.valid_dates(today,start_date)) 
				{
					//console.log(start_date);
					//console.log(today);
					return false;
				}
				
				end_date = new Date();
				end_date.setDate(start_date.getDate()+1);
			}
			else return false;
			
			$("#start_date").val($.datepicker.formatDate('yy-mm-dd', start_date));
      		$("#start_date_picker").datepicker('setDate',start_date);
      		
      		$("#end_date").val($.datepicker.formatDate('yy-mm-dd', end_date));
      		$("#end_date_picker").datepicker('setDate',end_date);
			
      		return true;
		},
		valid_dates: function(start_date,end_date)
		{
			end_date.setHours(0);
			end_date.setMinutes(0);
			end_date.setSeconds(0);
			end_date.setMilliseconds(0);
			
			start_date.setHours(0);
			start_date.setMinutes(0);
			start_date.setSeconds(0);
			start_date.setMilliseconds(0);
			
			var out = (end_date - start_date) >= 0;//24 * 60 * 60 * 1000;
			if(!out)
			{
				//console.log(start_date);
				//console.log(end_date);
				//console.log(end_date-start_date);
			}
			return out;
		},
		highlight: function()
		{
			start = false;
			tds.filter(
				function()
				{
					if($(this).is('.weekday')) return false;
					if($(this).hasClass('highlightStart') || start)
					{
						if($(this).hasClass('highlightEnd'))
						{
            				start = false;
            				return true;
        				}
        				start = true;
    				}
  					return start;
				}
			).addClass("highlight");
		},
		reset: function(){
			clicks = 0;
			tds.removeClass('highlight');
			tds.removeClass('highlightStart');
			tds.removeClass('highlightEnd');
		}
	}
}();

$(document).ready(
	function()
	{
		if(datepicker_conf)
			$.datepicker.setDefaults(datepicker_conf);
			
		availability.start_date_init();
		availability.end_date_init();
		$("#acu_scrollbar").tinyscrollbar({ axis: "x"});
		
		calendar_highlight.init();
		
		//show hide options
		//-----------------------
		var s_availability = ['.s_start_date','.s_end_date','.s_availability_btn','.s_booking_status'];
		var s_export_ical = ['.s_export_ical_btn'];
		var s_import_ical = ['.s_ical_file','.s_import_ical_btn','.s_booking_status'];
	
		$(document).on('click',"#trigger_s_availability",function(e){
			e.preventDefault();
			
			$(this).addClass('current');
			$("#trigger_s_import_ical").removeClass('current');
			$("#trigger_s_export_ical").removeClass('current');
			$("#availability_section").val('availability');
			
			edit.hide_siblings();
			$.each(s_import_ical,function(index,s){$(s).hide();});
			$.each(s_export_ical,function(index,s){$(s).hide();});
			$.each(s_availability,function(index,s){$(s).show();});//should be the last
		});
		
		$(document).on('click',"#trigger_s_export_ical",function(e){
			e.preventDefault();
			
			$(this).addClass('current');
			$("#trigger_s_availability").removeClass('current');
			$("#trigger_s_import_ical").removeClass('current');
			$("#availability_section").val('export_ical');
			
			edit.hide_siblings();
			$.each(s_import_ical,function(index,s){$(s).hide();});
			$.each(s_availability,function(index,s){$(s).hide();});
			$.each(s_export_ical,function(index,s){$(s).show();});
		});
		
		$(document).on('click',"#trigger_s_import_ical",function(e){
			e.preventDefault();
			
			$(this).addClass('current');
			$("#trigger_s_availability").removeClass('current');
			$("#trigger_s_export_ical").removeClass('current');
			
			$("#availability_section").val('import_ical');
			
			edit.hide_siblings();
			$.each(s_export_ical,function(index,s){$(s).hide();});
			$.each(s_availability,function(index,s){$(s).hide();});
			$.each(s_import_ical,function(index,s){$(s).show();});
		});
		
		var availability_section = $("#availability_section").val();
		$("#trigger_s_"+availability_section).trigger('click');
		
		
		var booking_href = $("#full_bookings_list").attr('href');
		var p = parent;
		var listing_id = $("#listing_id").val();
		$("#full_bookings_list").colorbox(
			{
				width:"90%px",
				height:"90%", 
				iframe:true, 
				href:booking_href+'q_field:listing_id/q:'+listing_id,
				title:'',
				onClosed:function(){
					p.location.href = p.location.href;
				},
				onComplete:function(){}
			}
		);
	
	}
);


