var payment_chart, listings_year_chart, listings_month_chart,visits_last_30days_chart,bookings_year_chart,bookings_month_chart;
var dashboard = function(){
	return {
		'listings_year_chart':function(opts){
			//console.log(opts);
			var chart_options = 
			{
				grid: {
					show: true,aboveData: true,color: "#3f3f3f" ,labelMargin: 5,axisMargin: 0, borderWidth: 0,borderColor:null,minBorderMargin: 5 ,clickable: true, hoverable: true,autoHighlight: true,mouseActiveRadius: 20
				},
				series: {
					grow: { active: false, stepMode: "linear", steps: 50, stepDelay: true },
					lines: { show: true, fill: 0,lineWidth: 2, steps: false },
					points: { show:true,radius: 2,symbol: "circle",fill: true,borderColor: "#fff" }
				},
				legend: { 
					show:false,position: "se", margin: [0,-35], noColumns: 0,labelBoxBorderColor: null, 
					labelFormatter: function(label, series) {
						return '&nbsp;'+label+'&nbsp;&nbsp;';
					}
				},
				yaxis: { min: 0 },
				xaxis: {mode:"categories"},
				colors: ['#88bbc8', '#ed7a53', '#9FC569', '#bbdce3', '#9a3b1b', '#5a8022', '#2c7282'],
				shadowSize:1
			};
				
			listings_year_chart = $.plot($('#listings_year_chart'),[ 
				//{ data: opts.data_for_sale, label: opts.label_for_sale, lines: {fillColor: "#f2f7f9"}, points: {fillColor: "#88bbc8"} }, 
				{ data: opts.data_for_rent, label: opts.label_for_rent , lines: {fillColor: "#fff8f2"}, points: {fillColor: "#ed7a53"} } 
			],chart_options); 
			
			//show tooltop
			var previousPoint = null;
			$("#listings_year_chart").bind("plothover", function (event, pos, item) 
			{
				//var x = pos.x.toFixed(2);
				//var y = pos.y.toFixed(2);
				if(item) 
				{
					if (previousPoint != item.dataIndex) 
					{
						previousPoint = item.dataIndex;
						$("#chart_tooltip").remove();
						var x = item.datapoint[0], y = item.datapoint[1].toFixed(0);
						//showTooltip(item.pageX, item.pageY,item.series.label + " " + x + " = " + y);
						all_admin.chart_tooltip(item.pageX, item.pageY, y);
					}
				} 
				else 
				{
					$("#chart_tooltip").remove();
					previousPoint = null;            
				}
			}); 
		},
		'bookings_year_chart':function(opts){
			//console.log(opts);
			var chart_options = 
			{
				grid: {
					show: true,aboveData: true,color: "#3f3f3f" ,labelMargin: 5,axisMargin: 0, borderWidth: 0,borderColor:null,minBorderMargin: 5 ,clickable: true, hoverable: true,autoHighlight: true,mouseActiveRadius: 20
				},
				series: {
					grow: { active: false, stepMode: "linear", steps: 50, stepDelay: true },
					lines: { show: true, fill: 0,lineWidth: 2, steps: false },
					points: { show:true,radius: 2,symbol: "circle",fill: true,borderColor: "#fff" }
				},
				legend: { 
					show:true,position: "se", margin: [0,-35], noColumns: 0,labelBoxBorderColor: null, 
					labelFormatter: function(label, series) {
						return '&nbsp;'+label+'&nbsp;&nbsp;';
					}
				},
				yaxis: { min: 0 },
				xaxis: {mode:"categories"},
				colors: ['#88bbc8', '#ed7a53', '#9FC569', '#bbdce3', '#9a3b1b', '#5a8022', '#2c7282'],
				shadowSize:1
			};
				
			bookings_year_chart = $.plot($('#bookings_year_chart'),[ 
				{ data: opts.data_confirmed, label: opts.label_confirmed, lines: {fillColor: "#f2f7f9"}, points: {fillColor: "#88bbc8"} }, 
				{ data: opts.data_total, label: opts.label_total , lines: {fillColor: "#fff8f2"}, points: {fillColor: "#ed7a53"} } 
			],chart_options); 
			
			//show tooltop
			var previousPoint = null;
			$("#bookings_year_chart").bind("plothover", function (event, pos, item) 
			{
				//var x = pos.x.toFixed(2);
				//var y = pos.y.toFixed(2);
				if(item) 
				{
					if (previousPoint != item.dataIndex) 
					{
						previousPoint = item.dataIndex;
						$("#chart_tooltip").remove();
						var x = item.datapoint[0], y = item.datapoint[1].toFixed(0);
						//showTooltip(item.pageX, item.pageY,item.series.label + " " + x + " = " + y);
						all_admin.chart_tooltip(item.pageX, item.pageY, y);
					}
				} 
				else 
				{
					$("#chart_tooltip").remove();
					previousPoint = null;            
				}
			}); 
		},
		'listings_month_chart':function(opts){
			//console.log(opts);
			var chart_options = 
			{
				grid: {
					show: true,aboveData: true,color: "#3f3f3f" ,labelMargin: 5,axisMargin: 0, borderWidth: 0,borderColor:null,minBorderMargin: 5 ,clickable: true, hoverable: true,autoHighlight: true,mouseActiveRadius: 20
				},
				series: {
					grow: { active: false, stepMode: "linear", steps: 50, stepDelay: true },
					lines: { show: true, fill: 0,lineWidth: 2, steps: false },
					points: { show:true,radius: 2,symbol: "circle",fill: true,borderColor: "#fff" }
				},
				legend: { 
					show:false,position: "se", margin: [0,-35], noColumns: 0,labelBoxBorderColor: null, 
					labelFormatter: function(label, series) {
						return '&nbsp;'+label+'&nbsp;&nbsp;';
					}
				},
				yaxis: { min: 0 },
				xaxis: {mode:"categories"},
				colors: ['#88bbc8', '#ed7a53', '#9FC569', '#bbdce3', '#9a3b1b', '#5a8022', '#2c7282'],
				shadowSize:1
			};
				
			listings_month_chart = $.plot($('#listings_month_chart'),[ 
				//{ data: opts.data_for_sale, label: opts.label_for_sale, lines: {fillColor: "#f2f7f9"}, points: {fillColor: "#88bbc8"} }, 
				{ data: opts.data_for_rent, label: opts.label_for_rent , lines: {fillColor: "#fff8f2"}, points: {fillColor: "#ed7a53"} } 
			],chart_options); 
			
			//show tooltop
			var previousPoint = null;
			$("#listings_month_chart").bind("plothover", function (event, pos, item) 
			{
				//var x = pos.x.toFixed(2);
				//var y = pos.y.toFixed(2);
				if(item) 
				{
					if (previousPoint != item.dataIndex) 
					{
						previousPoint = item.dataIndex;
						$("#chart_tooltip").remove();
						var x = item.datapoint[0], y = item.datapoint[1].toFixed(0);
						//showTooltip(item.pageX, item.pageY,item.series.label + " " + x + " = " + y);
						all_admin.chart_tooltip(item.pageX, item.pageY, y);
					}
				} 
				else 
				{
					$("#chart_tooltip").remove();
					previousPoint = null;            
				}
			}); 
		},
		'bookings_month_chart':function(opts){
			//console.log(opts);
			var chart_options = 
			{
				grid: {
					show: true,aboveData: true,color: "#3f3f3f" ,labelMargin: 5,axisMargin: 0, borderWidth: 0,borderColor:null,minBorderMargin: 5 ,clickable: true, hoverable: true,autoHighlight: true,mouseActiveRadius: 20
				},
				series: {
					grow: { active: false, stepMode: "linear", steps: 50, stepDelay: true },
					lines: { show: true, fill: 0,lineWidth: 2, steps: false },
					points: { show:true,radius: 2,symbol: "circle",fill: true,borderColor: "#fff" }
				},
				legend: { 
					show:true,position: "se", margin: [0,-35], noColumns: 0,labelBoxBorderColor: null, 
					labelFormatter: function(label, series) {
						return '&nbsp;'+label+'&nbsp;&nbsp;';
					}
				},
				yaxis: { min: 0 },
				xaxis: {mode:"categories"},
				colors: ['#88bbc8', '#ed7a53', '#9FC569', '#bbdce3', '#9a3b1b', '#5a8022', '#2c7282'],
				shadowSize:1
			};
				
			bookings_month_chart = $.plot($('#bookings_month_chart'),[ 
				{ data: opts.data_confirmed, label: opts.label_confirmed, lines: {fillColor: "#f2f7f9"}, points: {fillColor: "#88bbc8"} }, 
				{ data: opts.data_total, label: opts.label_total, lines: {fillColor: "#fff8f2"}, points: {fillColor: "#ed7a53"} } 
			],chart_options); 
			
			//show tooltop
			var previousPoint = null;
			$("#bookings_month_chart").bind("plothover", function (event, pos, item) 
			{
				//var x = pos.x.toFixed(2);
				//var y = pos.y.toFixed(2);
				if(item) 
				{
					if (previousPoint != item.dataIndex) 
					{
						previousPoint = item.dataIndex;
						$("#chart_tooltip").remove();
						var x = item.datapoint[0], y = item.datapoint[1].toFixed(0);
						//showTooltip(item.pageX, item.pageY,item.series.label + " " + x + " = " + y);
						all_admin.chart_tooltip(item.pageX, item.pageY, y);
					}
				} 
				else 
				{
					$("#chart_tooltip").remove();
					previousPoint = null;            
				}
			}); 
		},
		'payment_chart':function(opts){
			var chart_options = 
			{
				grid: {
					show: true,aboveData: true,color: "#3f3f3f" ,labelMargin: 5,axisMargin: 0, borderWidth: 0,borderColor:null,minBorderMargin: 5 ,clickable: true, hoverable: true,autoHighlight: true,mouseActiveRadius: 20
				},
				series: {
					grow: { active: false, stepMode: "linear", steps: 50, stepDelay: true },
					lines: { show: true, fill:0,lineWidth: 2, steps: false},
					points: { show:true,radius: 2,symbol: "circle",fill: true,borderColor: "#fff" }
				},
				legend: { 
					position: "se", margin: [0,-35], noColumns: 0,labelBoxBorderColor: null, 
					labelFormatter: function(label, series) {
						return '&nbsp;'+label+'&nbsp;&nbsp;';
					}
				},
				yaxis: { min: 0 },
				xaxis: {mode:"categories"},
				colors: ['#88bbc8', '#ed7a53', '#9FC569', '#bbdce3', '#9a3b1b', '#5a8022', '#2c7282'],
				shadowSize:1
			};   
			
			payment_chart = $.plot($('#payment_chart'),[ 
				{ data:opts.data_received, label: opts.label_received, lines: {fillColor: "#f2f7f9"}, points: {fillColor: "#88bbc8"} }, 
				{ data:opts.data_sent, label:opts.label_sent, lines: {fillColor: "#fff8f2"}, points: {fillColor: "#ed7a53"} } 
			],chart_options); 
			
			var previousPoint = null;
			$("#payment_chart").bind("plothover", function (event, pos, item) 
			{
				//var x = pos.x.toFixed(2);
				//var y = pos.y.toFixed(2);
				if(item) 
				{
					if (previousPoint != item.dataIndex) 
					{
						previousPoint = item.dataIndex;
						$("#chart_tooltip").remove();
						var x = item.datapoint[0], y = item.datapoint[1].toFixed(0);
						//showTooltip(item.pageX, item.pageY,item.series.label + " " + x + " = " + y);
						all_admin.chart_tooltip(item.pageX, item.pageY,y);
					}
				} 
				else 
				{
					$("#chart_tooltip").remove();
					previousPoint = null;            
				}
			}); 
		},
		'visits_last_30days_chart':function(opts){
			var chart_options = 
			{
				grid: {
					show: true,aboveData: true,color: "#3f3f3f" ,labelMargin: 5,axisMargin: 0, borderWidth: 0,borderColor:null,minBorderMargin: 5 ,clickable: true, hoverable: true,autoHighlight: true,mouseActiveRadius: 20
				},
				series: {
					grow: { active: false, stepMode: "linear", steps: 50, stepDelay: true },
					lines: { show: true, fill: true,lineWidth: 2, steps: false },
					points: { show:true,radius: 2,symbol: "circle",fill: true,borderColor: "#fff" }
				},
				legend: { 
					position: "se", margin: [0,-35], noColumns: 0,labelBoxBorderColor: null, 
					labelFormatter: function(label, series) {
						return '&nbsp;'+label+'&nbsp;&nbsp;';
					}
				},
				yaxis: { min: 0 },
				xaxis: {mode:"categories"},
				colors: ['#88bbc8', '#ed7a53', '#9FC569', '#bbdce3', '#9a3b1b', '#5a8022', '#2c7282'],
				shadowSize:1
			};   
			
			visits_last_30days_chart = $.plot($('#visits_last_30days_chart'),[ 
				{ 
					data:opts.data, 
					lines: {fillColor: "#f2f7f9"}, 
					points: {fillColor: "#88bbc8"} 
				}
			],chart_options); 
			
			var previousPoint = null;
			$("#visits_last_30days_chart").bind("plothover", function (event, pos, item) 
			{
				//var x = pos.x.toFixed(2);
				//var y = pos.y.toFixed(2);
				if(item) 
				{
					if (previousPoint != item.dataIndex) 
					{
						previousPoint = item.dataIndex;
						$("#chart_tooltip").remove();
						var x = item.datapoint[0], y = $.fn.n_format(item.datapoint[1].toFixed(0));
						//showTooltip(item.pageX, item.pageY,item.series.label + " " + x + " = " + y);
						all_admin.chart_tooltip(item.pageX, item.pageY,y);
					}
				} 
				else 
				{
					$("#chart_tooltip").remove();
					previousPoint = null;            
				}
			}); 
		},
		'analytics_init':function(){
			//last humans
			$.ajax(
				{
					url: site_url+'admin/ajax_analytics/last_humans/',
					type: 'GET',
					beforeSend: function()
					{
						$('#last_humans_response').html('<img src="'+base_url+'public/images/loading.gif" />');
					},	
					success: function(html) 
					{	
						$('#last_humans_response').html(html);
					}
				}
			);
			
			//last 30 days
			$.ajax(
				{
					url: site_url+'admin/ajax_analytics/visits_last_30days/',
					type: 'GET',
					beforeSend: function()
					{
						
					},	
					success: function(chart_data) 
					{	
						dashboard.visits_last_30days_chart(chart_data);
					}
				}
			);
			
			//today statistics
			$.ajax(
				{
					url: site_url+'admin/ajax_analytics/today_statistics/',
					type: 'GET',
					beforeSend: function()
					{
						$('#today_statistics_response').html('<img src="'+base_url+'public/images/loading.gif" />');
					},	
					success: function(html) 
					{	
						$('#today_statistics_response').html(html);
					}
				}
			);
			//today top pages
			$.ajax(
				{
					url: site_url+'admin/ajax_analytics/today_top_pages/',
					type: 'GET',
					beforeSend: function()
					{
						$('#today_top_pages_response').html('<img src="'+base_url+'public/images/loading.gif" />');
					},	
					success: function(html) 
					{	
						$('#today_top_pages_response').html(html);
					}
				}
			);
			//week
			$.ajax(
				{
					url: site_url+'admin/ajax_analytics/week_statistics/',
					type: 'GET',
					beforeSend: function()
					{
						$('#week_statistics_response').html('<img src="'+base_url+'public/images/loading.gif" />');
					},	
					success: function(html) 
					{	
						$('#week_statistics_response').html(html);
					}
				}
			);
			
			//os analysis
			$.ajax(
				{
					url: site_url+'admin/ajax_analytics/os_analysis/',
					type: 'GET',
					beforeSend: function()
					{
						$('#os_analysis_response').html('<img src="'+base_url+'public/images/loading.gif" />');
					},	
					success: function(html) 
					{	
						$('#os_analysis_response').html(html);
					}
				}
			);
			
			//browser analysis
			$.ajax(
				{
					url: site_url+'admin/ajax_analytics/browser_analysis/',
					type: 'GET',
					beforeSend: function()
					{
						$('#browser_analysis_response').html('<img src="'+base_url+'public/images/loading.gif" />');
					},	
					success: function(html) 
					{	
						$('#browser_analysis_response').html(html);
					}
				}
			);

			//se analysis
			$.ajax(
				{
					url: site_url+'admin/ajax_analytics/se_analysis/',
					type: 'GET',
					beforeSend: function()
					{
						$('#se_analysis_response').html('<img src="'+base_url+'public/images/loading.gif" />');
					},	
					success: function(html) 
					{	
						$('#se_analysis_response').html(html);
					}
				}
			);
			
			//last robots
			$.ajax(
				{
					url: site_url+'admin/ajax_analytics/last_robots/',
					type: 'GET',
					beforeSend: function()
					{
						$('#last_robots_response').html('<img src="'+base_url+'public/images/loading.gif" />');
					},	
					success: function(html) 
					{	
						$('#last_robots_response').html(html);
					}
				}
			);
		},
		'ga_visits_last_30days_chart':function(opts){
			var chart_options = 
			{
				grid: {
					show: true,aboveData: true,color: "#3f3f3f" ,labelMargin: 5,axisMargin: 0, borderWidth: 0,borderColor:null,minBorderMargin: 5 ,clickable: true, hoverable: true,autoHighlight: true,mouseActiveRadius: 20
				},
				series: {
					grow: { active: false, stepMode: "linear", steps: 50, stepDelay: true },
					lines: { show: true, fill: true,lineWidth: 2, steps: false },
					points: { show:true,radius: 2,symbol: "circle",fill: true,borderColor: "#fff" }
				},
				legend: { 
					position: "se", margin: [0,-35], noColumns: 0,labelBoxBorderColor: null, 
					labelFormatter: function(label, series) {
						return '&nbsp;'+label+'&nbsp;&nbsp;';
					}
				},
				yaxis: { min: 0 },
				xaxis: {mode:"categories"},
				colors: ['#88bbc8', '#ed7a53', '#9FC569', '#bbdce3', '#9a3b1b', '#5a8022', '#2c7282'],
				shadowSize:1
			};   
			
			visits_last_30days_chart = $.plot($('#visits_last_30days_chart'),[ 
				{ data:opts.data_visits, label: opts.label_visits,lines: {fillColor: "#f2f7f9"}, points: {fillColor: "#88bbc8"} }, 
				{ data:opts.data_visitors, label:opts.label_visitors, lines: {fillColor: "#fff8f2"}, points: {fillColor: "#ed7a53"} } 
			],chart_options); 
			
			var previousPoint = null;
			$("#visits_last_30days_chart").bind("plothover", function (event, pos, item) 
			{
				//var x = pos.x.toFixed(2);
				//var y = pos.y.toFixed(2);
				if(item) 
				{
					if (previousPoint != item.dataIndex) 
					{
						previousPoint = item.dataIndex;
						$("#chart_tooltip").remove();
						var x = item.datapoint[0], y = $.fn.n_format(item.datapoint[1].toFixed(0));
						//showTooltip(item.pageX, item.pageY,item.series.label + " " + x + " = " + y);
						all_admin.chart_tooltip(item.pageX, item.pageY,y);
					}
				} 
				else 
				{
					$("#chart_tooltip").remove();
					previousPoint = null;            
				}
			}); 
		},
		'ga_world_map':function(gdpData){
			/*var gdpData = {
				"AF": 16.63,
				"AL": 11.58,
				"DZ": 158.97
			};*/
			$("#ga_world_map").vectorMap({
				map: 'world_mill_en',
				backgroundColor: "#ffffff",
				series: 
				{
					regions: [{
						values: gdpData,
						scale: ['#C8EEFF', '#0071A4'],
						normalizeFunction: 'polynomial'
					}]
				},
				regionStyle:{
				  initial: {
				    fill: '#cccccc',
				    "fill-opacity": 1,
				    stroke: 'none',
				    "stroke-width": 0,
				    "stroke-opacity": 1
				  },
				  hover: {
				    "fill-opacity": 0.8
				  },
				  selected: {
				    fill: 'yellow'
				  },
				  selectedHover: {
				  }
				},
				onRegionLabelShow: function(e, el, code){
					el.html(el.html()+' '+$.fn.n_format(gdpData[code]));
				}
			});
		},
		'ga_analytics_init':function(){
			//last 30 days
			$.ajax(
				{
					url: site_url+'admin/ajax_analytics/ga_visits_last_30days/',
					type: 'GET',
					beforeSend: function()
					{
						$('#visits_last_30days_chart').html('<img src="'+base_url+'public/images/loading.gif" />');
					},	
					success: function(data) 
					{	
						dashboard.ga_visits_last_30days_chart(data);
						$("#total_visits").html(data.total_visits);
						$("#total_visitors").html(data.total_visitors);
					}
				}
			);
			
			//location
			$.ajax(
				{
					url: site_url+'admin/ajax_analytics/ga_world_map/',
					type: 'GET',
					beforeSend: function()
					{
						$('#ga_world_map').html('<img src="'+base_url+'public/images/loading.gif" />');
					},	
					success: function(data) 
					{	
						$('#ga_world_map').html('');
						dashboard.ga_world_map(data.data);
					}
				}
			);
			//statistics
			$.ajax(
				{
					url: site_url+'admin/ajax_analytics/ga_location_statistics/',
					type: 'GET',
					beforeSend: function()
					{
						$('#ga_location_response').html('<img src="'+base_url+'public/images/loading.gif" />');
					},	
					success: function(html) 
					{	
						$("#ga_location_response").html(html);
					}
				}
			);
			
			//top pages
			$.ajax(
				{
					url: site_url+'admin/ajax_analytics/ga_top_pages/',
					type: 'GET',
					beforeSend: function()
					{
						$('#ga_top_pages_response').html('<img src="'+base_url+'public/images/loading.gif" />');
					},	
					success: function(html) 
					{	
						$('#ga_top_pages_response').html(html);
					}
				}
			);
			
			//os analysis
			$.ajax(
				{
					url: site_url+'admin/ajax_analytics/ga_os_analysis/',
					type: 'GET',
					beforeSend: function()
					{
						$('#ga_os_analysis_response').html('<img src="'+base_url+'public/images/loading.gif" />');
					},	
					success: function(html) 
					{	
						$('#ga_os_analysis_response').html(html);
					}
				}
			);
			
			//browser analysis
			$.ajax(
				{
					url: site_url+'admin/ajax_analytics/ga_browser_analysis/',
					type: 'GET',
					beforeSend: function()
					{
						$('#ga_browser_analysis_response').html('<img src="'+base_url+'public/images/loading.gif" />');
					},	
					success: function(html) 
					{	
						$('#ga_browser_analysis_response').html(html);
					}
				}
			);
			
			//screen resolution analysis
			$.ajax(
				{
					url: site_url+'admin/ajax_analytics/ga_screen_resolution_analysis/',
					type: 'GET',
					beforeSend: function()
					{
						$('#ga_screen_resolution_analysis_response').html('<img src="'+base_url+'public/images/loading.gif" />');
					},	
					success: function(html) 
					{	
						$('#ga_screen_resolution_analysis_response').html(html);
					}
				}
			);
			
			//referrers
			$.ajax(
				{
					url: site_url+'admin/ajax_analytics/ga_referrers/',
					type: 'GET',
					beforeSend: function()
					{
						$('#ga_referrers_response').html('<img src="'+base_url+'public/images/loading.gif" />');
					},	
					success: function(html) 
					{	
						$('#ga_referrers_response').html(html);
					}
				}
			);
		}
	}
}();

$(document).ready(function(){
	$("ul.tabs").tabs("div.panes > div.pane",
	{
		history:true,
		onClick:function(e,i)
		{
			var pane = this.getPanes().eq(i);
			var tab = this.getTabs().eq(i);
			if(pane.is(":empty"))
			{
				
				//pane.html('<center><img src="'+base_url+'/public/images/loading.gif" /></center>').load(this.getTabs().eq(i).attr("rel"));
			}
			if(tab.attr('href')=='#overview')
			{
				if(typeof payment_chart !='undefined')
					payment_chart.draw();
				if(typeof overview_chart !='undefined')
					overview_chart.draw();
			}
			if(tab.attr('href')=='#users')
			{
				if($("#internal_analytics")[0])
					dashboard.analytics_init();
				if($("#google_analytics")[0])
					dashboard.ga_analytics_init();
			}
		}
	}
	);
	
	$("#listing_tabs").tabs("div.listing_box_panes > div.pane",
	{
		onClick:function(e,i)
		{
			var pane = this.getPanes().eq(i);
			var tab = this.getTabs().eq(i);
			if(tab.attr('href')=='#listings_this_month')
			{
				draw_listings_month_chart();
			}
			if(tab.attr('href')=='#listings_this_year')
			{
				draw_listings_year_chart();
			}
		}
	}
	);
	
	$("#booking_tabs").tabs("div.booking_box_panes > div.pane",
	{
		onClick:function(e,i)
		{
			var pane = this.getPanes().eq(i);
			var tab = this.getTabs().eq(i);
			if(tab.attr('href')=='#bookings_this_month')
			{
				draw_bookings_month_chart();
			}
			if(tab.attr('href')=='#bookings_this_year')
			{
				draw_bookings_year_chart();
			}
		}
	}
	);
});
