var last_clicked;
function apply_sortable()
{
	$(this).sortable({
		//items:'li',
		placeholder:'placeholder',
		cursor:'crosshair',
		update: function(event, ui) {
			var sort_data = $(this).sortable('serialize');
			$.ajax(
			{
				url: site_url+"admin/ajax_listing_types/listing_type_sortable_hierarchy/",
				type: 'POST',
				data :sort_data,
				beforeSend: function(){
											
				},	
				success: function(data) {
					$(".tree_actions").highlightFade('#E4F9CF');
				}
			});
									
		}
	});
	$(this).find("> li > ul").each(apply_sortable); 
}

var listing_types_list = function(){
	return {
		'get_listing_type_path':function(listing_type_id)
		{
			var $this = this;
			$.ajax(
					{
						url: site_url+"admin/ajax_listing_types/get_listing_type_path/",
						type: 'POST',
						data :'listing_type_id='+listing_type_id,
						beforeSend: function(){
							
						},	
						success: function(data) {
							var data_split = data.split('##');
							if(data_split.length==2)
							{
			  					$("#listing_type_selected").html(data_split[0]);
			  					$("#listing_type_selected_hierarchy").html(data_split[1]);
							}
							$this.sortable_hierarchy();
			 			}
			});
		},
		'hierarchy_up': function(listing_type_id)
		{
			var $this = this;
			$.ajax(
			{
				url: site_url+"admin/ajax_listing_types/listing_type_hierarchy/",
				type: 'POST',
				data :'listing_type_id='+listing_type_id+'&dir=up',
				beforeSend: function(){},	
				success: function(data) {
					$this.init_listing_types_tree();
					$this.get_listing_type_path(listing_type_id);
					//$(".tree_actions").highlightFade();
				}
			});
		},
		'hierarchy_down': function(listing_type_id)
		{
			var $this = this;
			$.ajax(
			{
				url: site_url+"admin/ajax_listing_types/listing_type_hierarchy/",
				type: 'POST',
				data :'listing_type_id='+listing_type_id+'&dir=down',
				beforeSend: function(){},	
				success: function(data) {
					$this.init_listing_types_tree();
					$this.get_listing_type_path(listing_type_id);
					//$(".tree_actions").highlightFade();
				}
			});
		},
		
		'delete_listing_type':function(listing_type_id,msg)
		{
			var confirmation = confirm(msg);
			if(confirmation)
			{
				var $this = this;
				$.ajax(
				{
					url: site_url+"admin/ajax_listing_types/delete_listing_type/",
					type: 'POST',
					data :'listing_type_id='+listing_type_id,
					beforeSend: function(){},	
					success: function(data) {
						$this.init_listing_types_tree();
						$this.get_listing_type_path();
						//$(".tree_actions").highlightFade();
					}
				});	
			}
		},
		'init_listing_types_tree':function()
		{
			var $this =this;
			$('#listing_types_tree').fileTree(
			{ 
				root:'', 
				script: site_url+'admin/ajax_listing_types/listing_types_list_tree',
				expandSpeed:1,
				collapseSpeed:1,
				multiFolder:false,
				folderEvent:'click'//'dblclick'
			}, 
			function(response)
			{ 
				var listing_type_id = response.replace('/','');
				listing_type_id = parseInt(listing_type_id);
				if(listing_type_id!=0)
				{
					$("#listing_type_selected_id").val(listing_type_id);
					$this.get_listing_type_path(listing_type_id);
					//$(".tree_actions").highlightFade();
					//alert('ok');
				}
			}
			);

		},
		'sortable_hierarchy':function()
		{
			$("#sortable_listing_types").each(apply_sortable);
		},
		'show_listing_types_tree':function()
		{
			var $this =this;
			$(document).on('click','#show_listing_types_tree',
				function(e)
				{
					e.preventDefault();
					$.colorbox(
					{
						width:"50%",
						height:"70%", 
						inline:true, 
						href:"#listing_types_tree",
						title:browse_title,
						onClosed:function(){ 
							$("#temp").remove();
							window.location.reload(); 
						},
						onComplete:function()
						{					
							$("#cboxTitle").addClass('cboxTitle_bottom');
							$("#cboxTitle").html('<div id="temp">'+$("#tree_actions_box").html()+'</div>');
							$("#tree_actions_box").remove();
							$this.sortable_hierarchy();
						}
						
					});
				}
			);
			
		},
		'folder_clicked':function(listing_type_id)
		{
			if(listing_type_id==1) return;
			var $this = this;
			$("#listing_type_selected_id").val(listing_type_id);
			$this.get_listing_type_path(listing_type_id);
			last_clicked = listing_type_id;
		}
	}
}();

$(document).ready(function(){
	listing_types_list.init_listing_types_tree();
	listing_types_list.show_listing_types_tree();
	
	$(document).on('click',"#btn_listing_type_edit",
		function(e){
			e.preventDefault();
			var listing_type_id = $("#listing_type_selected_id").val();
			listing_type_id = parseInt(listing_type_id);
			//alert(location_id);
			if(listing_type_id!=0)
			{
				window.location.href = $(this).attr('href')+'edit/'+listing_type_id;
			}
		}
	);
	
	$(document).on('click',"#btn_listing_type_hierarchy_up",
		function(e){
			e.preventDefault();
			var listing_type_id = $("#listing_type_selected_id").val();
			listing_type_id = parseInt(listing_type_id);
			if(listing_type_id!=0)
			{
				listing_types_list.hierarchy_up(listing_type_id);
			}
		}
	);
	
	$(document).on('click',"#btn_listing_type_hierarchy_down",
		function(e){
			e.preventDefault();
			var listing_type_id = $("#listing_type_selected_id").val();
			listing_type_id = parseInt(listing_type_id);
			if(listing_type_id!=0)
			{
				listing_types_list.hierarchy_down(listing_type_id);
			}
		}
	);
	
});
