var initial_text = [];
var $L_gmap = null;
var $L_geocoder = null;
var $L_markers = [];

var listings_map = function()
{
	return {
		'init_map':function()
		{
			if($L_gmap==null)
			{
				$L_gmap = new google.maps.Map(document.getElementById("google_map"),
    			{
    				center: new google.maps.LatLng(0,0),
    				zoom: 1,
    				mapTypeId: google.maps.MapTypeId.ROADMAP,
    				scrollwheel: false
    			});
    			
    			google.maps.event.addListener($L_gmap, 'zoom_changed', function(event) 
    			{
    				var $lat = $("#lat").val();
    				var $lng = $("#lng").val();
    				if(($lat!='') && ($lng!=''))
					{
						$L_gmap.setCenter(new google.maps.LatLng(parseFloat($lat),parseFloat($lng)));
					}
  				});

    			$L_geocoder = new google.maps.Geocoder();
			}
		},
		'toggle_markers': function(opt)
    	{
    		if($L_gmap==null) return;
    		if(typeof opt == 'undefined') opt = !$L_markers[0].getMap();
    		for (var n = 0, marker; marker = $L_markers[n]; n++) 
    		{
    			marker.setMap(opt?$L_gmap : null);
    		}
    	},
		'show_map':function(new_loc)
		{
			var $this = this;
			if($L_gmap == null || $L_geocoder == null)  this.init_map();
			this.toggle_markers(false);
			
			var new_location;
			if(new_loc) new_location = new_loc;
			else new_location = $this.get_location();
			
			if(typeof new_location == 'object')
			{
				
				var temp_zoom = parseInt(new_location.zoom);
				var temp_lat = parseFloat(new_location.lat);
				var temp_lng = parseFloat(new_location.lng);
				
				
				var latlng = new google.maps.LatLng(temp_lat,temp_lng);
				$L_gmap.setCenter(latlng);
				$this.add_marker({latlng:latlng,draggable:true});
				//console.log(new_location);
				if(temp_zoom>0) 
				{
					$L_gmap.setZoom(temp_zoom);
				};
				
			}
			
			$("#zoom").change(
				function()
				{
					var new_zoom = parseInt($(this).val());
					if(new_zoom>0) 
					{
						$L_gmap.setZoom(new_zoom);
						/*
						if(!temp_lat && new_location)
						{
							var temp_lat = parseFloat(new_location.lat);
							var temp_lng = parseFloat(new_location.lng);
							var latlng = new google.maps.LatLng(temp_lat,temp_lng);
							$L_gmap.setCenter(latlng);
						}*/
					}
				}
			);
		},
		'get_location':function()
		{
			var location = {
				zoom:parseInt($("#zoom").val()),
				lat:parseFloat($("#lat").val()),
				lng:parseFloat($("#lng").val())
			}
			if(location.zoom>0 && location.lat && location.lng) return location;
		},
		'add_marker':function(opts)
		{
			
			var $this = this;
			this.toggle_markers(false);
			var marker = new google.maps.Marker(
				{
					map:$L_gmap,
					position:opts.latlng,
					draggable:opts.draggable?opts.draggable:false
				}
			);
			$L_markers.push(marker);
			
			//marker events
			google.maps.event.addListener(marker,'drag', 
				function() {
					var new_position = marker.getPosition();				
    				//$this.update_lat_lng(new_position);
    				//$this.update_address(new_position);		
				}
			);
			google.maps.event.addListener(marker,'dragend', 
				function() {
					var new_position = marker.getPosition();				
    				$this.update_lat_lng(new_position,true);
    				$this.update_address(new_position);
				}
			);
			$this.update_map_zoom(marker);
			//$map.setCenter(marker.getPosition());
  					
		},
		'update_address':function(latlng)
		{
			$L_geocoder.geocode({latLng:latlng}, function(responses) {
				if (responses && responses.length > 0) {
					$("#address").text(responses[0].formatted_address);
				
    			}
  			});
		},
		'update_lat_lng':function(latlng,update_walkscore)
		{
			$("#lat").val(latlng.lat());
    		$("#lng").val(latlng.lng());
    		
    		/*if(update_walkscore)
    			walk_score({'lat':latlng.lat(),'lng':latlng.lng()});	*/
    		//$map.setCenter(latlng);
		},
		'update_map_zoom':function(marker,zoom)
		{
			
			if(typeof marker == 'object')
			{
				google.maps.event.addListener($L_gmap, 'zoom_changed', function() {
	  				setTimeout(function(){
	  					$("#zoom").val($L_gmap.zoom);
	  				},600);
	  			});
			}
			else if(zoom>0)
			{
				$L_gmap.setZoom(zoom);
				$("#zoom").val(zoom);	
			}
			else $("#zoom").val($L_gmap.getZoom());
		},
		
		'find_address_by_id': function(opts)
		{
			var location_id = opts.location_id;
			location_id = parseInt(location_id);
			var $this = this;
			$.ajax(
				{
					url: site_url+'admin/ajax_locations/find_address_by_id/'+location_id,
					type: 'GET',
					beforeSend: function()
					{
					},	
					success: function(xml) 
					{
						//xml = $.parseXML(xml);
						//console.log(typeof(xml));
						if(xml)
						{
							var lat = parseFloat($('lat',xml).text());
							var lng = parseFloat($('lng',xml).text());
							
							$("#lat").val(lat);
							$("#lng").val(lng);
							$("#zip").val($('zip',xml).text());
							//$(".label_box_map").highlightFade();
							
							if(lat!=0 & lng!=0)
							{
								$this.toggle_markers(false);
						
								var latlng = new google.maps.LatLng($('#lat').val(),$("#lng").val());
						
								$this.show_map(
								{
									zoom:7,
									lat:latlng.lat(),
									lng:latlng.lng()
								}
								);
								$("#zoom").val($L_gmap.getZoom());
								$("#lat_box").highlightFade();
								$("#lng_box").highlightFade();
								$("#zoom_box").highlightFade();
							}
							else 
							{
								$this.find_address({address:opts.address});
							}
						}
					},
					complete:function()
					{
					}
			});
		},
		'find_address':function(opts)
		{
			var $this = this;
			$this.toggle_markers(false);
			$this.update_map_zoom(false,1);
			
			$('#search_results').children().remove().end().append('<option value="">'+$("#no_results_text").val()+'</option>') ;
			
			$L_geocoder.geocode(
				{'address':opts.address},function(results,status)
				{
					if (status == google.maps.GeocoderStatus.OK) 
					{
						if(results.length>0)
						{
							$("#search_results").children().remove().end();
							for(j=0;j<results.length;j++)
							{
								$("#search_results").children().end().append('<option value="'+results[j].geometry.location.lat()+','+results[j].geometry.location.lng()+'">'+(j+1)+'. '+results[j].formatted_address+'</option>');
								if(results.length==1) 
								{
									$this.update_lat_lng(results[j].geometry.location,true);
									//$this.update_map_zoom();
									
									$("#search_results")[0].selectedIndex=0;
									$("#search_results").trigger('change');
								}
								else
								{
									var iconSize = new google.maps.Size(20, 34);
									var iconShadowSize = new google.maps.Size(37, 34);
									var iconHotSpotOffset = new google.maps.Point(10,34);
									var iconPosition = new google.maps.Point(0, 0);
									var iconShadowUrl = "http://www.google.com/mapfiles/shadow50.png";		
									var iconImageUrl = "http://gmaps-samples.googlecode.com/svn/trunk/" +"markers/orange/marker" + parseInt(j+1) + ".png";
									var markerShadow = new google.maps.MarkerImage(iconShadowUrl, iconShadowSize,iconPosition, iconHotSpotOffset);
									var markerImage =new google.maps.MarkerImage(iconImageUrl, iconSize,iconPosition, iconHotSpotOffset);

									var marker = new google.maps.Marker(
										{
											map:$L_gmap,
											position:results[j].geometry.location,
											icon : markerImage,
											shadow:markerShadow
										}
									);
									$L_markers.push(marker);
								}
							}
						}
        			} else {}
				}
			);
			
			$("#search_results").change(
				function()
				{
					if($(this).val()=='') return false;
					$this.toggle_markers(false);
					
					var latlng = eval('new google.maps.LatLng('+$(this).val()+');');
					
					$this.show_map(
						{
							zoom:7,
							lat:latlng.lat(),
							lng:latlng.lng()
						}
					);
					$this.update_lat_lng(latlng);
					$this.update_address(latlng);
					$("#zoom").val($L_gmap.getZoom());
					
				});
		}//end find_address
	}
}();

var listings_edit = function(){
	return {
		check_all:function(el)
		{
			var $el = $("#"+el);
			if(!$el[0]) 
			{
				return false;
			}
			$el.find('li').children(':checkbox').each(
				function()
				{
					this.checked = true;
				}
			);
		},
		uncheck_all:function(el)
		{
			var $el = $("#"+el);
			if(!$el[0]) 
			{
				return false;
			}
			$el.find('li').children(':checkbox').each(
				function()
				{
					this.checked = false;
				}
			);
		},
		'user_id_autocomplete':function()
		{
			if(!$("#user_id_autocomplete")[0]) return;
			$("#user_id_autocomplete").change(
				function()
				{
					if($(this).val()=='') $("#user_id").val('');
				}
			);
			$("#user_id_autocomplete").autocomplete(
				site_url+'admin/ajax_listings/user_id_autocomplete/', 
				{
					width:$("#user_id_autocomplete").width()+3,
					autoFill: false,
					max:50,
					formatItem: function(row) 
					{
						return row[0];
					},
					formatResult: function(row) 
					{

					}
				});
				$("#user_id_autocomplete").result(function(event, data, formatted) {
					$("#user_id").val('');
					if (data)
					{
						$("#user_id").val(data[1]);
					}
				}); 
		},
		'available_from':function()
		{
			
			var today = new Date();
			var $this = this;
			var check_available_from = function()
			{
				if($("#available_from").val() && ($("#available_from").val()!='0000-00-00')) 
				{
					return $.datepicker.parseDate('yy-mm-dd',$("#available_from").val());
				}
				else 
				{
					return today;
				}
			}
			var selected = check_available_from();
			
			$("#available_from_picker").datepicker({
				changeMonth: true,
				dateFormat: date_format,
				numberOfMonths: 1,
				altField: "#available_from",
				altFormat: "yy-mm-dd"
			}).datepicker('setDate',selected);
		},
		'open_house':function()
		{
			var check_open_house_date = function(){
				if($("#open_house_date").val()) 
				{
					if($("#open_house_date").val()!='0000-00-00')
						return $.datepicker.parseDate('yy-mm-dd',$("#open_house_date").val());
					else return false;
				}
				else 
				{
					return false;
				}
			}
			var selected = check_open_house_date();
			$("#open_house_date_picker").datepicker({
				changeMonth: true,
				dateFormat: date_format,
				numberOfMonths: 1,
				altField: "#open_house_date",
				altFormat: "yy-mm-dd"
			});
			if(selected)
				$("#open_house_date_picker").datepicker('setDate',selected);
			
			//set from - till time pickers
			$("#open_house_hour_from").timepicker({showPeriodLabels: false});
			$("#open_house_hour_to").timepicker({showPeriodLabels: false});
		},
		'show_currency': function()
		{
			$("#currency_id").change(
				function()
				{
					$('.currency').html($('#currency_id :selected').text());
				}
			).trigger('change');
		},
		'show_square_metrics':function()
		{
			$("#square_metrics").change(
				function()
				{
					$('.square_metrics').html($('#square_metrics :selected').text());
				}
			).trigger('change');
		},
		'change_location':function()
		{
			var $this = this;
			for(var j=1;j<=5;j++) initial_text["location_"+j] = $("#location_"+j).children().eq(0).text();
			$('#location_box').find('select.location_picker').change(
				function()
				{
					$this.do_change($(this));
				}
			);
			
			for(var j=1;j<=5;j++)
			{
				
				var e= $("#location_"+j);
				var e_next = $("#location_"+parseInt(j+1));
				
				if(e[0] && e_next[0])
				{
					if(e[0].selectedIndex!=0 )	
						e_next.removeAttr('disabled');
				}
			}
		},
		'do_change':function(el)
		{
			var $this = this;
			var id = el.attr('id');
			var level = parseInt(id.replace('location_',''));
			var next_level = level+1;
			var val = el.val();
			var text = $("#"+id+" :selected").text();
			if(val && text) 
			{
				//if($("#update_map").is(":checked")) listings_map.find_address({address:text});
				listings_map.find_address_by_id({location_id:val,address:text});
			}
					
			//reset the rest
			for(var j=next_level;j<=5;j++)
			{
				if($("#location_"+j)[0])
				{
					$("#location_"+j).attr("disabled","disabled");
					$("#location_"+j).html('<option value="">'+initial_text["location_"+j]+'</option>');
				}
			}
			if($("#location_"+next_level)[0])
			{
				var $el = $("#location_"+next_level);
				var position = $el.offset();
				var width = $el.width();
						//initial_text['location_'+next_level] = $("#location_"+next_level+" :selected").text();
				if(!$("#spinner")[0])
					$('<img src="'+base_url+'public/images/loading.gif" id="spinner" />').css('position','absolute').hide().appendTo('body');
				$.ajax(
				{
					url: site_url+'admin/ajax_locations/get_locations/'+val,
					type: 'GET',
					beforeSend: function()
					{
						$('#spinner').css({ top: position.top+5 , left: position.left+width+5}).fadeIn();
						$el.html('<option val="">Loading...</option>');
					},	
					success: function(data) 
					{
						var options = new Array();
						options[0] = '<select disabled="disabled" style="width:200px" class="location_picker" name="location_'+next_level+'" id="location_'+next_level+'">';
						options[1] = '<option value="">'+initial_text['location_'+next_level]+'</option>';
						options.push(data);
						options.push('</select>');
							
						$("#l_"+next_level)[0].innerHTML = options.join('');
						$("#location_"+next_level).bind('change',function(){$this.do_change($(this));});
						$("#location_"+next_level).removeAttr('disabled');
					},
					complete:function()
					{
						$("#spinner").fadeOut();	
					}
				});
			}
		}
	}
}();


$(window).load(
	function(){
		listings_map.init_map();
	}
);
$(document).ready(function(){
	
	if(datepicker_conf)
			$.datepicker.setDefaults(datepicker_conf);
	
	listings_edit.user_id_autocomplete();
			
	//map stuff
	listings_map.show_map();
	listings_edit.change_location();
	
	$("#search_go").click(
		function()
		{
			listings_map.find_address({'address':$("#search_address").val()});
		}
	);
	$("#search_address").change(function(){
		listings_map.find_address({'address':$(this).val()});
	});
	$('#search_address').bind("keypress", function(e) {
    	if (e.keyCode == 13) {
        	return false;
        }
	});
	
	listings_edit.available_from();
	listings_edit.open_house();
	listings_edit.show_currency();
	listings_edit.show_square_metrics();
	
	$('input[name="listing_main_type"]').change(
		function()
		{
			if ($(this).is(':checked'))
			{
				if($(this).val()=='rent') 
				{
					$("#rental_price_term_box").show();
					$("#rental_terms_box").show();
				}
				else 
				{
					$("#rental_terms_box").hide();
					$("#rental_price_term_box").hide();
				}
			}
		}
	);
	$("input[name='listing_main_type']").trigger('change');
	
	$("#quick_edit_user").click(
		function(e)
		{
			
			e.preventDefault();
			//for select
			//var user_id = $("#user_id").find(':selected').val();
			var user_id = $("#user_id").val();
			var $this = $(this);
			if(user_id!='')
			{
				$.colorbox(
				{
					width:"80%",
					height:"80%", 
					iframe:true,
					href:$this.attr('href')+user_id,
					onClosed:function(){},
					onComplete:function(){}
				}
				);
			}
		}
	);
	$("#edit_user").click(
		function(e)
		{
			
			e.preventDefault();
			//var user_id = $("#user_id").find(':selected').val();
			var user_id = $("#user_id").val();
			var $this = $(this);
			if(user_id!='')
			{
				
				var href = $this.attr('href')+user_id;
				window.open(href);
			}
		}
	);

	for(j=1;j<=5;j++)
	{
		if($("#keywords_"+j)[0]) $("#keywords_"+j).tagsInput();
	}
	
	
	$('form.autosave').autosave({
			interval: 300000,
			id: '',
			before: function(e,o)
			{
				//console.log(e);
				o.id = e.attr('id');
				if(!$("#submit_ajax")[0])
					$('<input type="hidden" name="submitf" id="submit_ajax" value="submit" />').appendTo(e);
				return true;
			},
			save: function(e,o,r) {
				//console.log(r);
				//var r=jQuery.parseJSON(r);
				//return;
				if(typeof r =='object'){
					$.jGrowl.defaults.position = 'bottom-right';
					switch(r.m_form_status)
					{
						case 0:
							//$.jGrowl(r.m_form_status_text,{theme:'info_notice',life:6000});	
							break;
						case 1:
						case 3:
							$.jGrowl(r.m_form_status_text,{theme:'info_notice',life:6000});
							if(o.id.match(/add/g) && (r.m_ajax_obj_id!=0) && (r.m_ajax_redirect!='')) 
							{
								window.location.href = r.m_ajax_redict;
							}
							break;
					}
				}
				$("#submit_ajax").remove();
				//alert($("#submit_ajax")[0]?'daaa':'nuu');
			}
	});	
	
	//listings_edit.previewlisting(); moved to all_admin.js
	
	$(document).on('click','#clear_open_house',function(e){
		e.preventDefault();
		$("#open_house_date").val('');
		$("#open_house_date_picker").val('');
	})
});
