var rates = function(){
	return {
		'days_between': function(str1,str2)
		{
			var d1 = new Date();
			var d2 = new Date();
			
			d1 = $.datepicker.parseDate('yy-mm-dd',str1);
			d2 = $.datepicker.parseDate('yy-mm-dd',str2);
			
			// The number of milliseconds in one day
			var ONE_DAY = 1000 * 60 * 60 * 24;
		
			// Convert both dates to milliseconds
    		var d1_ms = d1.getTime();
    		var d2_ms = d2.getTime();

    		// Calculate the difference in milliseconds
    		var difference_ms = Math.abs(d1_ms - d2_ms);
    
    		// Convert back to days and return
    		return Math.round(difference_ms/ONE_DAY);
		},
		'check_rate_period':function()
		{
			var start_date = $("#start_date").val();
			var end_date = $("#end_date").val();

			var d_between = this.days_between(start_date,end_date);
			if(d_between<6)
			{
				$("#weekly_rate").val(0);
				$("#weekly_rate").prop('disabled','disabled');
			}
			else 
			{
				$("#weekly_rate").prop('disabled','');
			}
			if(d_between<27)
			{
				$("#monthly_rate").val(0);
				$("#monthly_rate").prop('disabled','disabled');
			}
			else $("#monthly_rate").prop('disabled','');
		},
		'start_date_init':function(){
			var today = new Date();
			var $this = this;
			var check_start_date = function()
			{
				if($("#start_date").val()) 
				{
					return $.datepicker.parseDate('yy-mm-dd',$("#start_date").val());
				}
				else 
				{
					return today;
				}
			}
			var selected = check_start_date();
			
			
			$("#start_date_picker").datepicker({
				changeMonth: true,
				dateFormat: date_format,
				numberOfMonths: 3,
				altField: "#start_date",
				altFormat: "yy-mm-dd",
				onClose: function( selectedDate ) 
				{
					var selected_date = $.datepicker.parseDate(date_format,selectedDate);
					var next_day = selected_date;
					next_day.setDate(selected_date.getDate()+1);
					$( "#end_date_picker" ).datepicker( "option", "minDate", next_day).datepicker('setDate',next_day);
					$this.check_rate_period();
				}
			}).datepicker('setDate',selected);
		},
		'end_date_init':function(){
			var today = new Date();
			var tomorrow = today;
			tomorrow.setDate(today.getDate()+1);
			var $this = this;
			
			var check_end_date = function()
			{
				if($("#end_date").val()) 
				{
					return $.datepicker.parseDate('yy-mm-dd',$("#end_date").val());
				}
				else 
				{
					return tomorrow;
				}
			}
			var selected = check_end_date();
			
			$( "#end_date_picker" ).datepicker({
				defaultDate: "+1w",
				changeMonth: true,
				dateFormat: date_format,
				numberOfMonths: 3,
				altField: "#end_date",
				altFormat: "yy-mm-dd",
				onClose: function( selectedDate ) 
				{
					$( "#start_date_picker" ).datepicker( "option", "maxDate", selectedDate );
					$this.check_rate_period();
				}
			}).datepicker('setDate',selected);
		},
		'change_currency':function()
		{
			$("#currency_id").change(
				function()
				{
					var $this = this;
					var listing_id = $("#listing_id").val();
					var currency_id = $(this).val();
					var position = $(this).offset();
					var width = $(this).width();
					$('<img src="'+base_url+'public/images/loading.gif" id="spinner" />').css('position','absolute').hide().appendTo('body');
					$.ajax(
					{
						url: site_url+'admin/ajax_listings/change_listing_currency/'+listing_id+'/'+currency_id+'/',
						type: 'GET',
						beforeSend: function()
						{
							$('#spinner').css({ top: position.top+5 , left: position.left+width+5}).fadeIn();
						},	
						success: function(data) 
						{
							$("#spinner").fadeOut();
						}
					});
					$('.currency').html($('#currency_id :selected').text());
				}
			).trigger('change');
		}
	}
}();

$(document).ready(
	function()
	{
		if(datepicker_conf)
			$.datepicker.setDefaults(datepicker_conf);
			
		rates.start_date_init();
		rates.end_date_init();
		rates.check_rate_period();
		rates.change_currency();
	}
);