<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<title>{$co_content_title}</title>
	<meta name="robots" content="noindex, nofollow" />
	<meta name="viewport" content="width=device-width" />	
	<link rel="stylesheet" href="{base_url}combine.php?theme={$theme}&amp;type={$css_type}&amp;assets={$assets}" type="text/css" />
	<script type="text/javascript">var base_url = '{/literal}{base_url}{literal}';var site_url = '{/literal}{site_url ajax=1}{literal}';var theme = '{/literal}{config key='theme'}{literal}';</script>
	<script type="text/javascript" src="{/literal}{base_url}combine.php?theme={$theme}&amp;type={$javascript_type}&amp;assets={$assets}{literal}"></script>
	<script type="text/javascript">{/literal}{js_calendar_vars}{literal}</script>
	<script type="text/javascript">{/literal}{js_vars}{literal}</script>
	<!--[if lt IE 9]>
    <script type="text/javascript" src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]--> 
	{$jsmaps}{$jseditors}
	<link rel="shortcut icon" type="image/vnd.microsoft.icon" href="{base_url}favicon.ico" />
</head>
<body class="body_0">

<!--start container-->
<div id="container">

	<!--start top nav-->
	{login_info assign='login_info'}
	<div class="box_top_nav">
		<!--start fixed-->
		<div class="fixed">
			<div class="wrapper">
				<div class="welcome left">
					<a href="{site_url uri="`$login_info.role`/users/edit/`$login_info.user_id`}">
					{if $login_info.logo_file}
							<img src="{image w=20 h=20 c=1 dir=logos file="`$login_info.logo_file`" return_file=1}" alt=" " />
					{else}
							<img src="{gravatar email="`$login_info.email`" opts="w=20"}" alt=" " />
					{/if}
					{translate text='hello'}, {if $login_info.name}{$login_info.name}{else}{$login_info.username}{/if}
					</a>
				</div>
				<ul class="top_nav">
					<li>
						<a href="#" class="with_children"><span><img class="new" alt=" " src="{base_url}public/themes/{$theme}/images/1x1.png" width="18" height="18" />{translate text='new'}</span></a>
						{new_nav assign='new_nav'}
						{if $new_nav}
						<ul>
							{foreach item=new_item from=$new_nav}
							<li>
								<a href="{$new_item.href}">{$new_item.label}</a>
							</li>
							{/foreach}
						</ul>
						{/if}
					</li>
					{available_languages assign="current_lang" return_current=true}
					{available_languages assign="available_languages"}
					<li>
						<a href="#" class="with_children"><span><img alt="{$current_lang->title}" src="{$current_lang->img_src}" />{$current_lang->title|ucfirst}</span></a>
						<ul>
						{foreach item=lang from=$available_languages}
							{if $lang->href}
							<li><a title="{$lang->title}" href="{$lang->href}">{$lang->img} {$lang->title|ucfirst}</a></li>
							{/if}
						{/foreach}
						</ul>
					</li>
					<li>
						<a href="{site_url uri="`$login_info.role`/auth/logout}"><span><img class="logout" alt=" " src="{base_url}public/themes/{$theme}/images/1x1.png" width="18" height="18" />{translate text='logout'}</span></a>
					</li>
				</ul>
			</div>
		</div>
		<!--end fixed-->
	</div>
	<!--end top nav-->
	
	<!--start header-->
	<div id="header" class="wrapper clearfix">
		<!--start logo-->
		<div class="logo">
			<a href="{site_url uri="`$login_info.role`"}"><img alt=" " src="{base_url}public/themes/{$theme}/images/logo.png" /></a>
		</div>
		<!--end logo-->
		<!--start header nav-->
		<div class="box_header_nav">
			<ul class="header_nav">
				<li style="display:none">
					<a href="#">
						<span class="head">{translate text='notifications'}</span>
						<span class="number">-</span>
					</a>
					<div class="ico_notifications"></div>
				</li>
				<li>
					<a href="{if $login_info.role=='admin'}{site_url uri='`$login_info.role`/users/credits/`$login_info.user_id`/edit}{else}{site_url uri='`$login_info.role`/buy_credits}{/if}" class="tooltip" title="{translate text='credits_tooltip'}">
						<span class="head">{translate text='credit_balance'}</span>
						<span class="number{if $login_info.credits<=0}_alert{/if}">
							{convert_credits amount=$login_info.credits}
						</span>
					</a>
					<div class="ico_balance"></div>
				</li>
				<li>
					<a href="{site_url uri='`$login_info.role`/users/packages/`$login_info.user_id`/edit}" class="tooltip with_chart" title="{translate text='package_info_tooltip'}">
						<span class="head">{translate text='my_package'}</span>
						{if !$login_info.package->n_a}
							{if $login_info.package->etime_days>=0} 
								{if $login_info.package->no_days==0}
									<span class="number">{translate text='unlimited'}</span>
								{else}
									<span class="number">{$login_info.package->etime_days} <span>{translate text='days'}</span></span>
								{/if}
							{elseif $login_info.package->etime_days<0}
								<span class="number_alert">{translate text='expired'}</span>
							{/if}
						{else}
							<span class="number_alert">{translate text='n.a'}</span>
						{/if}
					</a>
					<div class="chart_my_package"></div>
					<script type="text/javascript">$(document).ready(function(){all_admin.progress_chart_my_package({/literal}{$login_info.package->progress}{literal});})</script>
					<div class="ico_package"></div>
				</li>
				<li style="display:none">
					<a href="#" class="with_chart">
						<span class="head">{translate text='emails'}</span>
						<span class="number">- <span>/ -</span></span>
					</a>
					<div class="chart_my_emails"></div>
					<script type="text/javascript">$(document).ready(function(){all_admin.progress_chart_my_emails(0);})</script>
					<div class="ico_emails"></div>
				</li>
				<li>
					<a href="{site_url uri='`$login_info.role`/users/sms_packages/`$login_info.user_id`/edit}" class="tooltip with_chart" title="{translate text='sms_package_info_tooltip'}">
						<span class="head">{translate text='sms'}</span>
						{if !$login_info.package->n_a}
						<span class="number{if $login_info.sms_package->sms_remained<=0}_alert{/if}">{$login_info.sms_package->sms_remained} <span></span></span>
						{else}
						<span class="number_alert">{translate text="n.a"}</span>
						{/if}
					</a>
					<div class="chart_my_sms"></div>
					<script type="text/javascript">$(document).ready(function(){all_admin.progress_chart_my_sms({/literal}{$login_info.sms_package->progress}{literal});})</script>
					<div class="ico_sms"></div>
				</li>
			</ul>
		</div>
		<!--end header nav-->
	</div>
	<!--end header-->
	
	<div class="available_languages" style="display:none">
		{available_languages assign="available_languages"}
		{foreach item=lang from=$available_languages}
		{if $lang->href}
		<a title="{$lang->title}" href="{$lang->href}">{$lang->img} {$lang->title|ucfirst}</a>
		{/if}
		{/foreach}
	</div>
	<!--start content-->
	
	<!--translate-->
	<div style="display:none">
		<div id="gtranslate">
			<input type="hidden" id="gtranslate_title" value="{translate text='translate'}" />
			<table style="width:100%">
				<tr>
					<td style="width:50%;vertical-align:top">
						<strong>{translate text='from'}:</strong>
						{foreach item=lang from=$available_languages}
							<input type="radio" name="gt_from" value="{$lang->code_2}" {if $current_lang->code_2==$lang->code_2}checked="checked"{/if} /> {$lang->img}
						{/foreach}
						<br />
						<textarea name="gt_from_value" id="gt_from_value" style="width:95%;height:200px"></textarea>
						<br />
					</td>
					<td style="width:50%;vertical-align:top">
							<strong>{translate text='to'}:</strong>
							{foreach item=lang from=$available_languages}
							<input type="radio" name="gt_to" value="{$lang->code_2}" {if $current_lang->code_2==$lang->code_2}checked="checked"{/if} /> {$lang->img}
							{/foreach}
							<br />
							<div id="gt_to_value" style="width:95%;height:200px;overflow:auto;border:1px solid #f0f0f0;"></div>
							<br />
					</td>
				</tr>
				<tr>
					<td colspan="2">
						<br />
						<div class="text_center">	
							<span class="btn_grey">
								<span>
									<span id="gt_submit_text">{translate text='translate'}</span>
									<input type="submit" name="gt_submit" id="gt_submit" value="Translate" />
								</span>
							</span>
						</div>
					</td>
				</tr>
			</table>
		</div>
	</div>
	<!--end translate-->
	
	<div id="content" class="wrapper">
	
		<!--start right sidebar-->
		<div id="right_sidebar">
			<div class="box_right_sidebar">
				<!--rb top-->
				<div class="roundbox rb_4px rb__grey rb_shaddow"><span class="rb"><span class="rb2 ie__grey_rb2">&nbsp;</span><span class="rb1 ie__grey_rb1">&nbsp;</span></span><div class="rbc ie__grey_rbc">
				<!--end rb top-->
					<div class="rb_4px_fff">
						<div class="padding_05em">
							{include file="$theme/tpls/_breadcrumbs.tpl"}
						</div>
						<div class="title">
							<h1>{$co_content_title}</h1>
							{if isset($bo_content_subtitle)}
							<h2 class="content_subtitle">{$bo_content_subtitle}</h2>
							{/if}
						</div>
						{$content}
					</div>
					<div class="clear"></div>
					
				<!--rb bottom-->
				</div><span class="rb"><span class="rb1 ie__grey_rb1">&nbsp;</span><span class="rb2 ie__grey_rb2">&nbsp;</span></span></div>
				<!--end rb bottom-->
			</div>
		</div>
		<!--end right sidebar-->
		
		<!--start left sidebar-->
		<div id="left_sidebar">
			<div class="box_left_sidebar">
				<!--rb top-->
				<div class="roundbox rb_4px rb__dark rb_shaddow"><span class="rb"><span class="rb2 ie__dark_rb2">&nbsp;</span><span class="rb1 ie__dark_rb1">&nbsp;</span></span><div class="rbc ie__dark_rbc">
				<!--end rb top-->
					{left_nav}
					<div class="clear"></div>
				<!--rb bottom-->
				</div><span class="rb"><span class="rb1 ie__dark_rb1">&nbsp;</span><span class="rb2 ie__dark_rb2">&nbsp;</span></span></div>
				<!--end rb bottom-->
				<div id="toggle_left_nav"><a href="#"></a></div>
			</div>
			<!--end box left sidebar-->
		</div>
		<!--end leftsidebar-->
		
		<!--start footer-->
		<div id="footer"></div>
		<!--end footer-->
		
	</div>
	<!--end content-->
</div>
<!--end container-->
<div id="chat_player_div"></div>
</body>
</html>