<!--start form-->
<div class="clear"></div>
<div class="basic_form">
	<form id="{$action_object->m_form_name}" method="post" action="{$action_object->m_form_action}" enctype="multipart/form-data">
		<input type="hidden" name="inquiry_id" id="inquiry_id" value="{$action_object->m_inquiry_info->inquiry_id}" />
		<ul class="form_box_single">
			<li class="form_box_desp">&nbsp;</li>
			<li>
				<div class="label_box">
					<label>&nbsp;</label>
				</div>
				<div class="input_box">
					<div id="report_as_options">
						{foreach item=mark_as_option from=$action_object->m_form_fields.mark_as.options}
							{$mark_as_option}
						{/foreach}
						{foreach item=inquiry_status_option from=$action_object->m_form_fields.inquiry_status.options}
							{$inquiry_status_option}
						{/foreach}
					</div>
				</div>
			</li>
			<li>
				<div class="inquiry_info">
					<table>
						<tr>
							<th>{translate text='name'}</th>
							<td>
								{if $action_object->m_is_admin}
								<input type="text" class="medium_text" id="name" name="name" value="{$action_object->get_value('name')}" />
								{else}
								{$action_object->m_inquiry_info->name}
								{/if}
							</td>
						</tr>
						<tr>
							<th>{translate text='email'}</th>
							<td>
								{if $action_object->m_is_admin}
								<input type="text" class="medium_text" id="from_email" name="from_email" value="{$action_object->get_value('from_email')}" />
								{else}
									{if $action_object->m_inquiry_info->allow_contact}
										{$action_object->m_inquiry_info->from_email}
									{else}
										{translate text='hidden'}
									{/if}
								{/if}
							</td>
						</tr>
						<tr>
							<th>{translate text='phone'}</th>
							<td>
								{if $action_object->m_is_admin}
								<input type="text" class="medium_text" id="phone" name="phone" value="{$action_object->get_value('phone')}" />
								{else}
									{if $action_object->m_inquiry_info->allow_contact}
										{$action_object->m_inquiry_info->phone}
									{else}
										{translate text='hidden'}
									{/if}
								{/if}
							</td>
						</tr>
						<tr>
							<th>
								{translate text='arrival'}<br />
								{translate text='departure'}<br />
								{translate text='guests'}
							</th>
							<td>
								{format_field col='date_format' value=$action_object->m_inquiry_info->start_date}<br />
								{format_field col='date_format' value=$action_object->m_inquiry_info->end_date}<br />
								{format_field col='number' value=$action_object->m_inquiry_info->no_guests}
							</td>
						</tr>
					</table>
					<table>
						<tr>
							<th>{translate text='date'}</th>
							<td>
								{format_field col=date_format value=$action_object->m_inquiry_info->ctime}
							</td>
						</tr>
						<tr>
							<th>{translate text='ip'}</th>
							<td>
								{ip2country ip=$action_object->m_inquiry_info->ip_address}
							</td>
						</tr>
						<tr>
							<th>{translate text='priority'}</th>
							<td>
								<select name="priority" id="priority">
									{foreach item=label key=val from=$action_object->m_form_fields.priority.options}
									<option value="{$val}" {if $val==$action_object->m_form_fields.priority.value}selected="selected"{/if}>{$label}</option>
									{/foreach}
								</select>
							</td>
						</tr>
					</table>
					<div class="clear"></div>
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="subject"}</label>{$action_object->check_required('subject')}
				</div>
				<div class="input_box">
					<input disabled type="text" class="text" name="subject" id="subject" value="{$action_object->get_value('subject')}" />
					<input type="hidden" name="subject" value="{$action_object->get_value('subject')}" />
				</div>
			</li>
			<li>
				<div class="label_box">
					<label>{translate text="message"}</label>{$action_object->check_required('message')}
				</div>
				<div class="input_box">
					<textarea disabled rows="3" name="message" id="message">{$action_object->get_value('message')}</textarea>
					<input type="hidden" name="message" value="{$action_object->get_value('message')}" />
				</div>
			</li>
			{if $action_object->m_inquiry_replies}
			<li>
				<div class="inquiry_replies_box" id="inquiry_replies_box">
					{foreach item=inquiry_reply from=$action_object->m_inquiry_replies}
					<div class="inquiry_reply">
						<div class="inquiry_reply_header replier_{$inquiry_reply->from_role}">
							<strong>{translate text='sent'}: </strong>{format_field col='date_format' value=$inquiry_reply->ctime} &bull;
							<strong>{translate text='read'}: </strong>{format_field col='date_format' value=$inquiry_reply->rtime}
						</div>
						<div class="inquiry_reply_message">
							{$inquiry_reply->message}
						</div>
					</div>
					{/foreach}
				</div>
			</li>
			{/if}
			{if $action_object->m_is_admin}
			<li>
				<div class="label_box">
					<label>{translate text="admin_status"}</label>{$action_object->check_required('admin_status')}
				</div>
				<div class="input_box">
					<div id="admin_status_options">
						<input type="radio" id="admin_status_1" name="admin_status" value="1" {if $action_object->get_value('admin_status')==1}checked="checked"{/if}> <label for="admin_status_1"><strong>{translate text='reviewed'}</strong></label>
						<input type="radio" id="admin_status_0" name="admin_status" value="0" {if $action_object->get_value('admin_status')==0}checked="checked"{/if}> <label for="admin_status_0"><strong>{translate text='unreviewed'}</strong></label>
					</div>
				</div>
			</li>
			{/if}
			<li {if $action_object->m_form_name=='inquiries_add'}style="display:none"{/if}>
				<div class="label_box">
					<label>{translate text='reply'}</label>{$action_object->check_required('reply_message')}
				</div>
				<div class="input_box">
					<textarea name="reply_message" id="reply_message" rows="5" cols="40">{$action_object->get_value('reply_message')}</textarea>
				</div>
			</li>
			<li class="form_box_desp">&nbsp;</li>
		</ul>
		{if $action_object->m_is_admin}
		<ul class="form_box_submit">
			<li>
				<center>	
					<span class="btn_grey">
						<span>
							<span>{if $action_object->m_form_name=='inquiries_edit'}{translate text='save'}{else}{translate text="`$action_object->m_form_name`"}{/if}</span>
							<input type="submit" name="submitf" value="submit" />
						</span>
					</span>
					
					<span class="btn_grey">
						<span>
							<span>{if $action_object->m_form_name=='inquiries_edit'}{translate text='save'}{else}{translate text="`$action_object->m_form_name`"}{/if} &amp; {translate text='back_to_list'}</span>
							<input type="submit" name="submitf" value="submit_view" />
						</span>
					</span>
					
				</center>
				
			</li>
		</ul>
		{else}
		<ul class="form_box_submit">
			<li>
				<center>	
					<span class="btn_grey">
						<span>
							<span>{if $action_object->m_form_name=='inquiries_edit'}{translate text='reply'}{else}{translate text="`$action_object->m_form_name`"}{/if}</span>
							<input type="submit" name="submitf" value="submit" />
						</span>
					</span>
					
					<span class="btn_grey">
						<span>
							<span>{if $action_object->m_form_name=='inquiries_edit'}{translate text='reply'}{else}{translate text="`$action_object->m_form_name`"}{/if} &amp; {translate text='back_to_list'}</span>
							<input type="submit" name="submitf" value="submit_view" />
						</span>
					</span>
					
				</center>
				
			</li>
		</ul>
		{/if}
		<ul class="form_box_notes">
			<li>{translate text='fields_marked_are_mandatory}</li>
		</ul>
	</form>
</div>
<!--end form-->
